(window["webpackJsonp"] = window["webpackJsonp"] || []).push([[7],{

/***/ 2336:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: ./node_modules/react/index.js
var react = __webpack_require__(0);
var react_default = /*#__PURE__*/__webpack_require__.n(react);

// EXTERNAL MODULE: ./node_modules/react-redux/es/index.js + 18 modules
var es = __webpack_require__(8);

// EXTERNAL MODULE: ./node_modules/connected-react-router/lib/index.js
var lib = __webpack_require__(25);

// EXTERNAL MODULE: ./node_modules/uxi/Layout/index.js
var Layout = __webpack_require__(26);

// EXTERNAL MODULE: ./node_modules/uxi/Action/index.js
var Action = __webpack_require__(127);
var Action_default = /*#__PURE__*/__webpack_require__.n(Action);

// EXTERNAL MODULE: ./node_modules/uxi/Icons/index.js
var Icons = __webpack_require__(9);

// EXTERNAL MODULE: ./node_modules/uxi/Widget/index.js
var Widget = __webpack_require__(40);
var Widget_default = /*#__PURE__*/__webpack_require__.n(Widget);

// EXTERNAL MODULE: ./node_modules/react-intl/lib/index.es.js
var index_es = __webpack_require__(4);

// CONCATENATED MODULE: ./core/modules/consent/components/containers/ConsentDashboardContainer.js








var widgetStyles = {
  minWidth: '200px',
  maxWidth: '200px',
  background: 'white',
  margin: '0 16px 16px 0'
};

var ConsentDashboardContainer_ConsentDashboardContainer = function ConsentDashboardContainer(_ref) {
  var gotToConsents = _ref.gotToConsents,
      goToForms = _ref.goToForms,
      goToCreateConsentForm = _ref.goToCreateConsentForm,
      goToCreateConsent = _ref.goToCreateConsent;
  return react_default.a.createElement("div", {
    style: {
      marginBottom: '15px',
      margin: '15px'
    }
  }, react_default.a.createElement(Layout["Flex"], {
    style: {
      justifyContent: 'flex-start'
    }
  }, react_default.a.createElement(Widget_default.a, {
    style: widgetStyles
  }, react_default.a.createElement(Action_default.a, {
    menuDescriptor: {
      displayName: react_default.a.createElement(index_es["FormattedMessage"], {
        id: "module-consent-consentForm",
        defaultMessage: "Consent Forms"
      }),
      key: 'Consent Forms',
      hasNew: false,
      icon: react_default.a.createElement(Icons["Listul"], null),
      onClick: function onClick() {
        goToForms();
      },
      isPromoted: false
    }
  })), react_default.a.createElement(Widget_default.a, {
    style: widgetStyles
  }, react_default.a.createElement(Action_default.a, {
    menuDescriptor: {
      displayName: react_default.a.createElement(index_es["FormattedMessage"], {
        id: "module-consent-consents",
        defaultMessage: "All Consents"
      }),
      key: 'Consents',
      hasNew: false,
      icon: react_default.a.createElement(Icons["Consent"], null),
      onClick: function onClick() {
        gotToConsents();
      },
      isPromoted: false
    }
  })), react_default.a.createElement(Widget_default.a, {
    style: widgetStyles
  }, react_default.a.createElement(Action_default.a, {
    menuDescriptor: {
      displayName: react_default.a.createElement(index_es["FormattedMessage"], {
        id: "module-consent-createConsentForm",
        defaultMessage: "Create Consent Form"
      }),
      key: 'CreateConsentForm',
      hasNew: false,
      icon: react_default.a.createElement(Icons["Add"], null),
      onClick: function onClick() {
        goToCreateConsentForm();
      },
      isPromoted: false
    }
  })), react_default.a.createElement(Widget_default.a, {
    style: widgetStyles
  }, react_default.a.createElement(Action_default.a, {
    menuDescriptor: {
      displayName: react_default.a.createElement(index_es["FormattedMessage"], {
        id: "module-consent-createSingleConsent",
        defaultMessage: "Create Consent"
      }),
      key: 'CreateConsent',
      hasNew: false,
      icon: react_default.a.createElement(Icons["Add"], null),
      onClick: function onClick() {
        goToCreateConsent();
      },
      isPromoted: false
    }
  }))));
};

var mapStateToProps = function mapStateToProps() {
  return {};
};

var ConsentDashboardContainer_mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    goToForms: function goToForms() {
      dispatch(Object(lib["push"])('/consent/forms'));
    },
    goToCreateConsentForm: function goToCreateConsentForm() {
      dispatch(Object(lib["push"])('/consent/forms/create'));
    },
    goToCreateConsent: function goToCreateConsent() {
      dispatch(Object(lib["push"])('/consent/consents/create'));
    },
    gotToConsents: function gotToConsents() {
      dispatch(Object(lib["push"])('/consent/consents'));
    }
  };
};

/* harmony default export */ var containers_ConsentDashboardContainer = (Object(es["connect"])(mapStateToProps, ConsentDashboardContainer_mapDispatchToProps)(ConsentDashboardContainer_ConsentDashboardContainer));
// CONCATENATED MODULE: ./core/modules/consent/components/pages/ConsentDashboardPage.js



var ConsentDashboardPage_ConsentDashboardPage = function ConsentDashboardPage() {
  return react_default.a.createElement(containers_ConsentDashboardContainer, null);
};

/* harmony default export */ var pages_ConsentDashboardPage = __webpack_exports__["default"] = (ConsentDashboardPage_ConsentDashboardPage);

/***/ })

}]);