(window["webpackJsonp"] = window["webpackJsonp"] || []).push([[18],{

/***/ 1876:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(0);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_intl__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4);



var statuses = {
  1: react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(react_intl__WEBPACK_IMPORTED_MODULE_2__["FormattedMessage"], {
    id: "module-gdpr-attachIndividual"
  }),
  2: react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(react_intl__WEBPACK_IMPORTED_MODULE_2__["FormattedMessage"], {
    id: "module-gdpr-validateReport"
  }),
  3: react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(react_intl__WEBPACK_IMPORTED_MODULE_2__["FormattedMessage"], {
    id: "module-gdpr-sendReport"
  }),
  4: react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(react_intl__WEBPACK_IMPORTED_MODULE_2__["FormattedMessage"], {
    id: "module-gdpr-configureData"
  }),
  5: react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(react_intl__WEBPACK_IMPORTED_MODULE_2__["FormattedMessage"], {
    id: "module-gdpr-overview"
  }),
  6: react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(react_intl__WEBPACK_IMPORTED_MODULE_2__["FormattedMessage"], {
    id: "module-gdpr-completed"
  })
};

var GdprStatusTableCell = function GdprStatusTableCell(_ref) {
  var State = _ref.sar.State;
  return react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement("div", null, statuses[State] || '');
};

GdprStatusTableCell.displayName = 'GdprStatusTableCell';
GdprStatusTableCell.propTypes = {
  sar: prop_types__WEBPACK_IMPORTED_MODULE_1___default.a.object
};
GdprStatusTableCell.defaultProps = {
  sar: {}
};
/* harmony default export */ __webpack_exports__["a"] = (GdprStatusTableCell);

/***/ }),

/***/ 2321:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/objectSpread.js
var objectSpread = __webpack_require__(2);
var objectSpread_default = /*#__PURE__*/__webpack_require__.n(objectSpread);

// EXTERNAL MODULE: ./node_modules/react/index.js
var react = __webpack_require__(0);
var react_default = /*#__PURE__*/__webpack_require__.n(react);

// EXTERNAL MODULE: ./node_modules/prop-types/index.js
var prop_types = __webpack_require__(1);
var prop_types_default = /*#__PURE__*/__webpack_require__.n(prop_types);

// EXTERNAL MODULE: ./node_modules/react-redux/es/index.js + 18 modules
var es = __webpack_require__(8);

// EXTERNAL MODULE: ./node_modules/react-intl/lib/index.es.js
var index_es = __webpack_require__(4);

// EXTERNAL MODULE: ./node_modules/connected-react-router/lib/index.js
var lib = __webpack_require__(25);

// EXTERNAL MODULE: ./node_modules/uxi/Button/index.js
var Button = __webpack_require__(18);
var Button_default = /*#__PURE__*/__webpack_require__.n(Button);

// EXTERNAL MODULE: ./node_modules/uxi/Base/index.js
var Base = __webpack_require__(72);

// EXTERNAL MODULE: ./node_modules/moment/moment.js
var moment = __webpack_require__(10);
var moment_default = /*#__PURE__*/__webpack_require__.n(moment);

// EXTERNAL MODULE: ./node_modules/uxi/Icons/index.js
var Icons = __webpack_require__(9);

// CONCATENATED MODULE: ./core/modules/core/components/composites/LabelValueList/LabelValueList.js


var styles = {
  wrapper: {
    padding: '1.5em'
  }
};

var LabelValueList_LabelValueList = function LabelValueList(_ref) {
  var children = _ref.children;
  return react_default.a.createElement("div", {
    style: objectSpread_default()({}, styles.wrapper)
  }, children);
};

/* harmony default export */ var composites_LabelValueList_LabelValueList = (LabelValueList_LabelValueList);
// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/classCallCheck.js
var classCallCheck = __webpack_require__(12);
var classCallCheck_default = /*#__PURE__*/__webpack_require__.n(classCallCheck);

// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/createClass.js
var createClass = __webpack_require__(13);
var createClass_default = /*#__PURE__*/__webpack_require__.n(createClass);

// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/possibleConstructorReturn.js
var possibleConstructorReturn = __webpack_require__(14);
var possibleConstructorReturn_default = /*#__PURE__*/__webpack_require__.n(possibleConstructorReturn);

// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/getPrototypeOf.js
var getPrototypeOf = __webpack_require__(15);
var getPrototypeOf_default = /*#__PURE__*/__webpack_require__.n(getPrototypeOf);

// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/inherits.js
var inherits = __webpack_require__(16);
var inherits_default = /*#__PURE__*/__webpack_require__.n(inherits);

// EXTERNAL MODULE: ./node_modules/uxi/Text/index.js
var Text = __webpack_require__(36);
var Text_default = /*#__PURE__*/__webpack_require__.n(Text);

// CONCATENATED MODULE: ./core/modules/core/components/composites/LabelValueList/LabelValue.js








var LabelValue_styles = {
  wrapper: {
    display: 'flex',
    flexFlow: 'row',
    alignItems: 'baseline',
    paddingTop: '15px'
  },
  header: {
    minWidth: '200px',
    maxWidth: '200px',
    textOverflow: 'ellipsis',
    overflow: 'hidden',
    textAlign: 'right',
    marginRight: '30px'
  },
  content: {
    display: 'flex'
  },
  valueWrapper: {
    display: 'flex',
    alignItems: 'flex-start'
  },
  value: {}
};
/* eslint-disable react/prefer-stateless-function */

var LabelValue_LabelValue =
/*#__PURE__*/
function (_Component) {
  inherits_default()(LabelValue, _Component);

  function LabelValue() {
    classCallCheck_default()(this, LabelValue);

    return possibleConstructorReturn_default()(this, getPrototypeOf_default()(LabelValue).apply(this, arguments));
  }

  createClass_default()(LabelValue, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          label = _this$props.label,
          value = _this$props.value,
          hasBorder = _this$props.hasBorder;
      return react_default.a.createElement("div", {
        style: objectSpread_default()({}, LabelValue_styles.wrapper, hasBorder ? {
          borderBottom: '1px solid #cecece'
        } : {})
      }, react_default.a.createElement("div", {
        style: LabelValue_styles.header
      }, react_default.a.createElement(Text_default.a, {
        type: "Heading"
      }, label)), react_default.a.createElement("div", {
        style: LabelValue_styles.content
      }, react_default.a.createElement("div", {
        style: LabelValue_styles.valueWrapper
      }, react_default.a.createElement("div", {
        style: LabelValue_styles.value
      }, react_default.a.createElement(Text_default.a, null, value)))));
    }
  }]);

  return LabelValue;
}(react["Component"]);

/* harmony default export */ var LabelValueList_LabelValue = (LabelValue_LabelValue);
// CONCATENATED MODULE: ./core/modules/core/components/composites/LabelValueList/index.js


// CONCATENATED MODULE: ./core/modules/GDPR/components/composites/GdprSarUniqueIdentifierOverview.js



var GdprSarUniqueIdentifierOverviewStyle = {
  uniqueIdentifier: {
    paddingBottom: '10px'
  },
  value: {
    marginLeft: '15px'
  }
};
/* eslint-disable  no-restricted-syntax */

/* eslint-disable  guard-for-in */

var GdprSarUniqueIdentifierOverview_GdprSarUniqueIdentifierOverview = function GdprSarUniqueIdentifierOverview(_ref) {
  var sar = _ref.sar;
  var Identifiers = sar.Identifiers;
  var result = [];

  for (var i in Identifiers) {
    var value = Identifiers[i];
    result.push(react_default.a.createElement("div", {
      style: GdprSarUniqueIdentifierOverviewStyle.uniqueIdentifier
    }, react_default.a.createElement(Text_default.a, {
      type: "caption"
    }, i), react_default.a.createElement(Text_default.a, {
      style: GdprSarUniqueIdentifierOverviewStyle.value
    }, value)));
  }

  return react_default.a.createElement("div", null, result);
};

GdprSarUniqueIdentifierOverview_GdprSarUniqueIdentifierOverview.displayName = 'GdprSarUniqueIdentifierOverview';
GdprSarUniqueIdentifierOverview_GdprSarUniqueIdentifierOverview.propTypes = {
  sar: prop_types_default.a.object
};
GdprSarUniqueIdentifierOverview_GdprSarUniqueIdentifierOverview.defaultProps = {
  sar: {}
};
/* harmony default export */ var composites_GdprSarUniqueIdentifierOverview = (GdprSarUniqueIdentifierOverview_GdprSarUniqueIdentifierOverview);
// EXTERNAL MODULE: ./core/modules/entity/components/composites/EntityLink.js
var EntityLink = __webpack_require__(341);

// EXTERNAL MODULE: ./core/modules/GDPR/components/composites/GdprTableCells/GdprStatusTableCell.js
var GdprStatusTableCell = __webpack_require__(1876);

// CONCATENATED MODULE: ./core/modules/entity/components/composites/lists/EntitySimpleList.js




var EntitySimpleList_EntitySimpleList = function EntitySimpleList(_ref) {
  var _ref$entities = _ref.entities,
      entities = _ref$entities === void 0 ? [] : _ref$entities,
      openInNewTab = _ref.openInNewTab;
  return react_default.a.createElement("div", null, entities.map(function (entity, index) {
    var isLast = entities.length - 1 === index;
    return react_default.a.createElement("div", {
      style: {
        display: 'inline-block'
      }
    }, react_default.a.createElement(EntityLink["a" /* default */], {
      style: {
        display: 'inline-block'
      },
      entity: entity,
      openInNewTab: !!openInNewTab
    }), isLast ? null : react_default.a.createElement("span", null, ","), ")");
  }));
};

EntitySimpleList_EntitySimpleList.displayName = 'EntitySimpleList';
EntitySimpleList_EntitySimpleList.propTypes = {
  entities: prop_types_default.a.array,
  openInNewTab: prop_types_default.a.bool
};
EntitySimpleList_EntitySimpleList.defaultProps = {
  entities: [],
  openInNewTab: false
};
/* harmony default export */ var lists_EntitySimpleList = (EntitySimpleList_EntitySimpleList);
// CONCATENATED MODULE: ./core/modules/GDPR/components/composites/GdprSarOverview.js











var GdprSarOverview_GdprSarOverview = function GdprSarOverview(_ref) {
  var sar = _ref.sar,
      collaborators = _ref.collaborators;
  var reportLink = react_default.a.createElement("a", {
    target: "_blank",
    href: "/admin/gdpr/gdprReport/".concat(sar.Id),
    alt: "report url",
    rel: "noopener noreferrer",
    style: {
      display: 'flex',
      alignItems: 'center'
    }
  }, react_default.a.createElement(Icons["Externallink"], {
    color: '#06979e',
    size: 14,
    style: {
      marginRight: '8px'
    }
  }), react_default.a.createElement(index_es["FormattedMessage"], {
    id: "module-gdpr-open"
  }));
  return react_default.a.createElement("div", null, react_default.a.createElement(composites_LabelValueList_LabelValueList, null, react_default.a.createElement(LabelValueList_LabelValue, {
    key: "uniqueIdentifier",
    label: react_default.a.createElement(index_es["FormattedMessage"], {
      id: "module-gdpr-uniqueIdentifiers"
    }),
    value: react_default.a.createElement(composites_GdprSarUniqueIdentifierOverview, {
      sar: sar
    })
  }), sar.entity && react_default.a.createElement(LabelValueList_LabelValue, {
    key: "entityRelated",
    label: react_default.a.createElement(index_es["FormattedMessage"], {
      id: "module-gdpr-entityRelated"
    }),
    value: react_default.a.createElement("div", null, react_default.a.createElement(EntityLink["a" /* default */], {
      entity: sar.entity,
      openInNewTab: true
    }))
  }), sar.Author && react_default.a.createElement(LabelValueList_LabelValue, {
    key: "author",
    label: react_default.a.createElement(index_es["FormattedMessage"], {
      id: "module-gdpr-author"
    }),
    value: react_default.a.createElement("div", null, sar.Author.UserName || sar.Author.Email)
  }), collaborators && collaborators.length > 0 && react_default.a.createElement(LabelValueList_LabelValue, {
    key: "collaborators",
    label: react_default.a.createElement(index_es["FormattedMessage"], {
      id: "module-gdpr-collaborators"
    }),
    value: react_default.a.createElement(lists_EntitySimpleList, {
      entities: collaborators
    })
  }), sar.CreatedDate && react_default.a.createElement(LabelValueList_LabelValue, {
    key: "creationDate",
    label: react_default.a.createElement(index_es["FormattedMessage"], {
      id: "module-gdpr-creation"
    }),
    value: react_default.a.createElement("div", null, moment_default()(sar.CreatedDate).fromNow())
  }), sar.ModifiedDate && react_default.a.createElement(LabelValueList_LabelValue, {
    key: "ModifiedDate",
    label: react_default.a.createElement(index_es["FormattedMessage"], {
      id: "module-gdpr-modifiedDate"
    }),
    value: react_default.a.createElement("div", null, moment_default()(sar.ModifiedDate).fromNow())
  }), sar.ReportUri && react_default.a.createElement(LabelValueList_LabelValue, {
    key: "report",
    label: react_default.a.createElement(index_es["FormattedMessage"], {
      id: "module-gdpr-report"
    }),
    value: reportLink
  }), react_default.a.createElement(LabelValueList_LabelValue, {
    key: "status",
    label: react_default.a.createElement(index_es["FormattedMessage"], {
      id: "module-gdpr-status"
    }),
    value: react_default.a.createElement(GdprStatusTableCell["a" /* default */], {
      sar: sar
    })
  })));
};

GdprSarOverview_GdprSarOverview.displayName = 'GdprSarOverview';
GdprSarOverview_GdprSarOverview.propTypes = {
  sar: prop_types_default.a.object,
  collaborators: prop_types_default.a.array
};
GdprSarOverview_GdprSarOverview.defaultProps = {
  sar: {},
  collaborators: []
};
/* harmony default export */ var composites_GdprSarOverview = (GdprSarOverview_GdprSarOverview);
// EXTERNAL MODULE: ./core/modules/GDPR/actions.js
var actions = __webpack_require__(23);

// CONCATENATED MODULE: ./core/modules/GDPR/components/pages/GdprNewSubjectAccessOverview.js











var GdprNewSubjectAccessOverview_GdprNewSubjectAccessOverview = function GdprNewSubjectAccessOverview(_ref) {
  var sar = _ref.sar,
      selectedEntity = _ref.selectedEntity,
      next = _ref.next;
  return react_default.a.createElement("div", null, react_default.a.createElement(composites_GdprSarOverview, {
    sar: sar,
    selectedEntity: selectedEntity
  }), sar && sar.State && sar.State < 6 && react_default.a.createElement(Base["DivPadding"], {
    style: {
      marginLeft: '250px'
    }
  }, react_default.a.createElement(Button_default.a, {
    onClick: function onClick() {
      return next(sar);
    },
    type: "primary",
    message: react_default.a.createElement(index_es["FormattedMessage"], {
      id: "module-gdpr-markAsCompleted"
    })
  })));
};

GdprNewSubjectAccessOverview_GdprNewSubjectAccessOverview.displayName = 'GdprNewSubjectAccessOverview';
GdprNewSubjectAccessOverview_GdprNewSubjectAccessOverview.propTypes = {
  sar: prop_types_default.a.object,
  selectedEntity: prop_types_default.a.object,
  next: prop_types_default.a.func
};
GdprNewSubjectAccessOverview_GdprNewSubjectAccessOverview.defaultProps = {
  sar: {},
  selectedEntity: {},
  next: function next() {}
};

var mapStateToProps = function mapStateToProps(_ref2) {
  var _ref2$GDPR = _ref2.GDPR,
      currentSAR = _ref2$GDPR.currentSAR,
      isFetching = _ref2$GDPR.isFetching;
  return {
    sar: currentSAR,
    isFetching: isFetching
  };
};

var GdprNewSubjectAccessOverview_mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    prev: function prev() {
      dispatch(Object(lib["push"])('/gdpr/new/sendReport'));
    },
    next: function next(sar) {
      dispatch(Object(actions["wb" /* shouldSaveSarAndNavigate */])(objectSpread_default()({}, sar, {
        State: 6
      }), '/gdpr/list'));
    }
  };
};

/* harmony default export */ var pages_GdprNewSubjectAccessOverview = __webpack_exports__["default"] = (Object(es["connect"])(mapStateToProps, GdprNewSubjectAccessOverview_mapDispatchToProps)(GdprNewSubjectAccessOverview_GdprNewSubjectAccessOverview));

/***/ })

}]);