(window["webpackJsonp"] = window["webpackJsonp"] || []).push([[2],{

/***/ 2328:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: ./node_modules/react/index.js
var react = __webpack_require__(0);
var react_default = /*#__PURE__*/__webpack_require__.n(react);

// EXTERNAL MODULE: ./node_modules/recompose/es/Recompose.js
var Recompose = __webpack_require__(6);

// EXTERNAL MODULE: ./node_modules/react-intl/lib/index.es.js
var index_es = __webpack_require__(4);

// EXTERNAL MODULE: ./node_modules/react-redux/es/index.js + 18 modules
var es = __webpack_require__(8);

// EXTERNAL MODULE: ./core/modules/dataBreach/actions.js + 1 modules
var actions = __webpack_require__(156);

// EXTERNAL MODULE: ./core/modules/core/components/Hocs/WithErrorAndLoading.js
var WithErrorAndLoading = __webpack_require__(220);

// EXTERNAL MODULE: ./core/modules/core/components/composites/MainWidgetForPage.js
var MainWidgetForPage = __webpack_require__(210);

// EXTERNAL MODULE: ./core/modules/core/components/composites/lists/NotFoundResult.js
var NotFoundResult = __webpack_require__(850);

// EXTERNAL MODULE: ./node_modules/moment/moment.js
var moment = __webpack_require__(10);
var moment_default = /*#__PURE__*/__webpack_require__.n(moment);

// EXTERNAL MODULE: ./node_modules/uxi/DataGrid/index.js
var DataGrid = __webpack_require__(144);
var DataGrid_default = /*#__PURE__*/__webpack_require__.n(DataGrid);

// EXTERNAL MODULE: ./node_modules/uxi/Indicator/index.js
var Indicator = __webpack_require__(43);

// EXTERNAL MODULE: ./core/modules/user/actions/index.js + 1 modules
var user_actions = __webpack_require__(61);

// CONCATENATED MODULE: ./core/modules/user/components/containers/Author.js






var Author_Author = function Author(_ref) {
  var author = _ref.author,
      isFetching = _ref.isFetching;

  if (isFetching) {
    return react_default.a.createElement("div", {
      style: {
        display: 'flex'
      }
    }, react_default.a.createElement(Indicator["Loader"], null));
  }

  if (!author) {
    return react_default.a.createElement("span", null, "-");
  }

  return react_default.a.createElement("span", null, author.Account.UserName);
};

var EnhancedAuthor = Object(Recompose["b" /* compose */])(Object(Recompose["c" /* lifecycle */])({
  componentDidMount: function componentDidMount() {
    var shouldFetchAllUsers = this.props.shouldFetchAllUsers;

    if (shouldFetchAllUsers) {
      shouldFetchAllUsers();
    }
  }
}))(Author_Author);

var mapStateToProps = function mapStateToProps(_ref2, _ref3) {
  var _ref2$user = _ref2.user,
      allUsers = _ref2$user.allUsers,
      isFetchingAllUsers = _ref2$user.isFetchingAllUsers;
  var value = _ref3.value;
  return {
    author: (allUsers || []).find(function (u) {
      return u.Account.Id === value;
    }) || null,
    isFetching: isFetchingAllUsers,
    value: value
  };
};

var Author_mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    shouldFetchAllUsers: function shouldFetchAllUsers() {
      dispatch(Object(user_actions["b" /* fetchAllUsers */])());
    }
  };
};

/* harmony default export */ var containers_Author = (Object(es["connect"])(mapStateToProps, Author_mapDispatchToProps)(EnhancedAuthor));
// CONCATENATED MODULE: ./core/modules/dataBreach/components/containers/lists/DataBreachListContainer.js






var DataBreachListContainer_DateComponent = function DateComponent(_ref) {
  var value = _ref.value;
  return moment_default()(value).fromNow();
};

var DataBreachListContainer_ReportSent = function ReportSent(_ref2) {
  var value = _ref2.value;

  if (value) {
    return react_default.a.createElement(index_es["FormattedMessage"], {
      id: "module-dataBreach-yes",
      message: "Yes"
    });
  }

  return react_default.a.createElement(index_es["FormattedMessage"], {
    id: "module-dataBreach-no",
    defaultMessage: "No"
  });
};

var DataBreachListContainer_EmailOrNone = function EmailOrNone(_ref3) {
  var value = _ref3.value;

  if (!value) {
    return react_default.a.createElement(index_es["FormattedMessage"], {
      id: "module-dataBreach-noEmailEntered",
      message: "No Email Entered"
    });
  }

  return value;
};

var DataBreachListContainer_ViewReport = function ViewReport(_ref4) {
  var value = _ref4.value;

  if (!value) {
    return react_default.a.createElement("span", null, react_default.a.createElement(index_es["FormattedMessage"], {
      id: "module-dataBreach-reportGenerating",
      message: "Report generating"
    }));
  }

  return react_default.a.createElement("a", {
    href: value,
    rel: "noopener noreferrer",
    target: "_blank"
  }, react_default.a.createElement(index_es["FormattedMessage"], {
    id: "module-dataBreach-viewReport",
    message: "View Report"
  }));
};

var DataBreachListContainer_NameOrComponent = function NameOrComponent(_ref5) {
  var entity = _ref5.entity;
  return react_default.a.createElement("span", null, entity.Name || entity.Email);
};

var DataBreachListContainer_DataBreachList = function DataBreachList(_ref6) {
  var data = _ref6.data;
  return react_default.a.createElement("div", null, react_default.a.createElement(DataGrid_default.a, {
    data: data,
    propertyKey: "Id",
    properties: [{
      property: 'Name',
      Component: DataBreachListContainer_NameOrComponent,
      isComputed: true,
      displayName: react_default.a.createElement(index_es["FormattedMessage"], {
        id: "module-dataBreach-name",
        message: "Name"
      })
    }, {
      property: 'Email',
      displayName: react_default.a.createElement(index_es["FormattedMessage"], {
        id: "module-dataBreach-email",
        message: "Email"
      })
    }, {
      property: 'AuthorId',
      displayName: react_default.a.createElement(index_es["FormattedMessage"], {
        id: "module-dataBreach-author",
        message: "Author"
      }),
      Component: containers_Author
    }, {
      property: 'Processed',
      displayName: react_default.a.createElement(index_es["FormattedMessage"], {
        id: "module-dataBreach-processed",
        message: "Processed"
      }),
      Component: DataBreachListContainer_ReportSent
    }, {
      property: 'CreatedDate',
      displayName: react_default.a.createElement(index_es["FormattedMessage"], {
        id: "module-dataBreach-createdDate",
        message: "Created Date"
      }),
      Component: DataBreachListContainer_DateComponent
    }, {
      property: 'ModifiedDate',
      displayName: react_default.a.createElement(index_es["FormattedMessage"], {
        id: "module-dataBreach-modifiedDate",
        message: "Modified Date"
      }),
      Component: DataBreachListContainer_DateComponent
    }, {
      property: 'DueDate',
      displayName: react_default.a.createElement(index_es["FormattedMessage"], {
        id: "module-dataBreach-dueDate",
        message: "Due Date"
      }),
      Component: DataBreachListContainer_DateComponent
    }, {
      property: 'ReportEmail',
      displayName: react_default.a.createElement(index_es["FormattedMessage"], {
        id: "module-dataBreach-reportEmail",
        message: "Email mentioned in Report"
      }),
      Component: DataBreachListContainer_EmailOrNone
    }, {
      property: 'ReportSent',
      displayName: react_default.a.createElement(index_es["FormattedMessage"], {
        id: "module-dataBreach-reportSent",
        message: "Report Sent"
      }),
      Component: DataBreachListContainer_ReportSent
    }, {
      property: 'ReportUri',
      displayName: react_default.a.createElement(index_es["FormattedMessage"], {
        id: "module-dataBreach-reportUri",
        message: "Report Link"
      }),
      Component: DataBreachListContainer_ViewReport
    }]
  }));
};

/* harmony default export */ var DataBreachListContainer = (DataBreachListContainer_DataBreachList);
// EXTERNAL MODULE: ./core/modules/core/components/Hocs/ListWithPaging.js
var ListWithPaging = __webpack_require__(557);

// CONCATENATED MODULE: ./core/modules/dataBreach/components/containers/AllDataBreachContainer.js











var AllDataBreachContainer_AllDataBreachContainer = function AllDataBreachContainer(_ref) {
  var _ref$data = _ref.data,
      data = _ref$data === void 0 ? [] : _ref$data;
  var hasNoData = !data || data.length === 0;
  return react_default.a.createElement(MainWidgetForPage["a" /* default */], {
    title: react_default.a.createElement(index_es["FormattedMessage"], {
      id: "module-dataBreach-allDataBreach",
      defaultMessage: "All Data Breaches"
    })
  }, hasNoData && react_default.a.createElement(NotFoundResult["a" /* default */], null), !hasNoData && react_default.a.createElement(DataBreachListContainer, {
    data: data
  }));
};

var EnhancedDataBreachContainer = Object(Recompose["b" /* compose */])(Object(Recompose["c" /* lifecycle */])({
  componentDidMount: function componentDidMount() {
    var fetchDataBreaches = this.props.fetchDataBreaches;
    fetchDataBreaches();
  }
}))(Object(WithErrorAndLoading["a" /* WithErrorAndLoading */])(AllDataBreachContainer_AllDataBreachContainer));

var mapToStateProps = function mapToStateProps(_ref2) {
  var _ref2$dataBreach = _ref2.dataBreach,
      allDataBreaches = _ref2$dataBreach.allDataBreaches,
      isFetchingDataBreaches = _ref2$dataBreach.isFetchingDataBreaches,
      invalidDataBreaches = _ref2$dataBreach.invalidDataBreaches,
      isFetchingMoreDataBreaches = _ref2$dataBreach.isFetchingMoreDataBreaches,
      pageNumber = _ref2$dataBreach.pageNumber;
  return {
    data: allDataBreaches,
    isFetching: isFetchingDataBreaches,
    invalid: invalidDataBreaches,
    pageNumber: pageNumber,
    isFetchingMore: isFetchingMoreDataBreaches
  };
};

var AllDataBreachContainer_mapToDispatchToProps = function mapToDispatchToProps(dispatch) {
  return {
    fetchDataBreaches: function fetchDataBreaches() {
      dispatch(Object(actions["f" /* shouldFetchDataBreach */])({}));
    },
    onLoadMore: function onLoadMore(pageNumber) {
      dispatch(Object(actions["h" /* shouldFetchMoreDataBreach */])({
        page: pageNumber
      }));
    }
  };
};

/* harmony default export */ var containers_AllDataBreachContainer = (Object(es["connect"])(mapToStateProps, AllDataBreachContainer_mapToDispatchToProps)(Object(ListWithPaging["a" /* default */])(EnhancedDataBreachContainer, {
  style: {
    margin: '-16px 32px 32px 32px'
  }
})));
// CONCATENATED MODULE: ./core/modules/dataBreach/components/pages/AllDataBreachPage.js



var AllDataBreachPage_AllDataBreachPage = function AllDataBreachPage() {
  return react_default.a.createElement(containers_AllDataBreachContainer, null);
};

/* harmony default export */ var pages_AllDataBreachPage = __webpack_exports__["default"] = (AllDataBreachPage_AllDataBreachPage);

/***/ })

}]);