(window["webpackJsonp"] = window["webpackJsonp"] || []).push([[22],{

/***/ 1876:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(0);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(1);
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_intl__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4);



var statuses = {
  1: react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(react_intl__WEBPACK_IMPORTED_MODULE_2__["FormattedMessage"], {
    id: "module-gdpr-attachIndividual"
  }),
  2: react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(react_intl__WEBPACK_IMPORTED_MODULE_2__["FormattedMessage"], {
    id: "module-gdpr-validateReport"
  }),
  3: react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(react_intl__WEBPACK_IMPORTED_MODULE_2__["FormattedMessage"], {
    id: "module-gdpr-sendReport"
  }),
  4: react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(react_intl__WEBPACK_IMPORTED_MODULE_2__["FormattedMessage"], {
    id: "module-gdpr-configureData"
  }),
  5: react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(react_intl__WEBPACK_IMPORTED_MODULE_2__["FormattedMessage"], {
    id: "module-gdpr-overview"
  }),
  6: react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement(react_intl__WEBPACK_IMPORTED_MODULE_2__["FormattedMessage"], {
    id: "module-gdpr-completed"
  })
};

var GdprStatusTableCell = function GdprStatusTableCell(_ref) {
  var State = _ref.sar.State;
  return react__WEBPACK_IMPORTED_MODULE_0___default.a.createElement("div", null, statuses[State] || '');
};

GdprStatusTableCell.displayName = 'GdprStatusTableCell';
GdprStatusTableCell.propTypes = {
  sar: prop_types__WEBPACK_IMPORTED_MODULE_1___default.a.object
};
GdprStatusTableCell.defaultProps = {
  sar: {}
};
/* harmony default export */ __webpack_exports__["a"] = (GdprStatusTableCell);

/***/ }),

/***/ 2318:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: ./node_modules/react/index.js
var react = __webpack_require__(0);
var react_default = /*#__PURE__*/__webpack_require__.n(react);

// EXTERNAL MODULE: ./node_modules/prop-types/index.js
var prop_types = __webpack_require__(1);
var prop_types_default = /*#__PURE__*/__webpack_require__.n(prop_types);

// EXTERNAL MODULE: ./node_modules/react-redux/es/index.js + 18 modules
var es = __webpack_require__(8);

// EXTERNAL MODULE: ./node_modules/uxi/Page/index.js
var Page = __webpack_require__(118);

// EXTERNAL MODULE: ./node_modules/uxi/Widget/index.js
var Widget = __webpack_require__(40);

// EXTERNAL MODULE: ./node_modules/recompose/es/Recompose.js
var Recompose = __webpack_require__(6);

// EXTERNAL MODULE: ./core/modules/GDPR/actions.js
var actions = __webpack_require__(23);

// EXTERNAL MODULE: ./node_modules/react-intl/lib/index.es.js
var index_es = __webpack_require__(4);

// EXTERNAL MODULE: ./node_modules/uxi/Menu/index.js
var Menu = __webpack_require__(91);

// CONCATENATED MODULE: ./core/modules/GDPR/components/composites/GdprSarManagementMenu.js




var GdprSarManagementMenuStyle = {
  menuWrapper: {
    borderRight: '1px solid #e9e9e9',
    height: '100%'
  }
};

var GdprSarManagementMenu_GdprSarManagementMenu = function GdprSarManagementMenu(_ref) {
  var filterOptions = _ref.filterOptions,
      onMenuChange = _ref.onMenuChange;
  var isAll = !filterOptions || filterOptions.status === 'all';
  var isNew = filterOptions && filterOptions.status === 'new';
  var isPending = filterOptions && filterOptions.status === 'pending';
  var isCompleted = filterOptions && filterOptions.status === 'completed';
  return react_default.a.createElement("div", null, react_default.a.createElement(Menu["VerticalMenu"], {
    style: GdprSarManagementMenuStyle.menuWrapper
  }, react_default.a.createElement(Menu["MenuItem"], {
    isActive: isPending,
    onClick: function onClick() {
      onMenuChange({
        status: 'pending'
      });
    }
  }, react_default.a.createElement(index_es["FormattedMessage"], {
    id: "module-gdpr-pending"
  })), react_default.a.createElement(Menu["MenuItem"], {
    isActive: isNew,
    onClick: function onClick() {
      onMenuChange({
        status: 'new'
      });
    }
  }, react_default.a.createElement(index_es["FormattedMessage"], {
    id: "module-gdpr-newRequest"
  })), react_default.a.createElement(Menu["MenuItem"], {
    isActive: isAll,
    onClick: function onClick() {
      onMenuChange({
        status: 'all'
      });
    }
  }, react_default.a.createElement(index_es["FormattedMessage"], {
    id: "module-gdpr-allRequest"
  })), react_default.a.createElement(Menu["MenuItem"], {
    isActive: isCompleted,
    onClick: function onClick() {
      onMenuChange({
        status: 'completed'
      });
    }
  }, react_default.a.createElement(index_es["FormattedMessage"], {
    id: "module-gdpr-completedRequest"
  }))));
};

GdprSarManagementMenu_GdprSarManagementMenu.displayName = 'GdprSarManagementMenu';
GdprSarManagementMenu_GdprSarManagementMenu.propTypes = {
  filterOptions: prop_types_default.a.object,
  onMenuChange: prop_types_default.a.func
};
GdprSarManagementMenu_GdprSarManagementMenu.defaultProps = {
  filterOptions: {},
  onMenuChange: function onMenuChange() {}
};
/* harmony default export */ var composites_GdprSarManagementMenu = (GdprSarManagementMenu_GdprSarManagementMenu);
// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/taggedTemplateLiteral.js
var taggedTemplateLiteral = __webpack_require__(7);
var taggedTemplateLiteral_default = /*#__PURE__*/__webpack_require__.n(taggedTemplateLiteral);

// EXTERNAL MODULE: ./node_modules/uxi/Layout/index.js
var Layout = __webpack_require__(26);

// EXTERNAL MODULE: ./core/modules/core/components/composites/Placeholder/index.js + 5 modules
var Placeholder = __webpack_require__(176);

// CONCATENATED MODULE: ./core/modules/GDPR/components/composites/GdprSarManagementMenuGhost.js


function _templateObject() {
  var data = taggedTemplateLiteral_default()(["\n  justify-content: flex-start;\n  height: 100%;\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}





var FlexExtended = Layout["Flex"].extend(_templateObject());
var GdprSarManagementMenuGhost_GdprSarManagementMenuStyle = {
  menuWrapper: {
    borderRight: '1px solid #e9e9e9',
    height: '100%'
  }
};

var GdprSarManagementMenuGhost_GdprSarManagementMenuGhost = function GdprSarManagementMenuGhost() {
  return react_default.a.createElement("div", null, react_default.a.createElement(Menu["VerticalMenu"], {
    style: GdprSarManagementMenuGhost_GdprSarManagementMenuStyle.menuWrapper
  }, react_default.a.createElement(Menu["MenuItem"], {
    isActive: true
  }, react_default.a.createElement(FlexExtended, null, react_default.a.createElement(Placeholder["d" /* TextPlaceholder */], {
    width: "80%"
  }))), react_default.a.createElement(Menu["MenuItem"], null, react_default.a.createElement(FlexExtended, null, react_default.a.createElement(Placeholder["d" /* TextPlaceholder */], {
    width: "80%"
  }))), react_default.a.createElement(Menu["MenuItem"], null, react_default.a.createElement(FlexExtended, null, react_default.a.createElement(Placeholder["d" /* TextPlaceholder */], {
    width: "80%"
  }))), react_default.a.createElement(Menu["MenuItem"], null, react_default.a.createElement(FlexExtended, null, react_default.a.createElement(Placeholder["d" /* TextPlaceholder */], {
    width: "80%"
  })))));
};

/* harmony default export */ var composites_GdprSarManagementMenuGhost = (GdprSarManagementMenuGhost_GdprSarManagementMenuGhost);
// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/objectSpread.js
var objectSpread = __webpack_require__(2);
var objectSpread_default = /*#__PURE__*/__webpack_require__.n(objectSpread);

// EXTERNAL MODULE: ./node_modules/connected-react-router/lib/index.js
var lib = __webpack_require__(25);

// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/extends.js
var helpers_extends = __webpack_require__(28);
var extends_default = /*#__PURE__*/__webpack_require__.n(helpers_extends);

// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/classCallCheck.js
var classCallCheck = __webpack_require__(12);
var classCallCheck_default = /*#__PURE__*/__webpack_require__.n(classCallCheck);

// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/createClass.js
var createClass = __webpack_require__(13);
var createClass_default = /*#__PURE__*/__webpack_require__.n(createClass);

// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/possibleConstructorReturn.js
var possibleConstructorReturn = __webpack_require__(14);
var possibleConstructorReturn_default = /*#__PURE__*/__webpack_require__.n(possibleConstructorReturn);

// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/getPrototypeOf.js
var getPrototypeOf = __webpack_require__(15);
var getPrototypeOf_default = /*#__PURE__*/__webpack_require__.n(getPrototypeOf);

// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/inherits.js
var inherits = __webpack_require__(16);
var inherits_default = /*#__PURE__*/__webpack_require__.n(inherits);

// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/assertThisInitialized.js
var assertThisInitialized = __webpack_require__(27);
var assertThisInitialized_default = /*#__PURE__*/__webpack_require__.n(assertThisInitialized);

// EXTERNAL MODULE: ./node_modules/rc-tooltip/es/index.js + 36 modules
var rc_tooltip_es = __webpack_require__(56);

// EXTERNAL MODULE: ./node_modules/uxi/Button/index.js
var Button = __webpack_require__(18);
var Button_default = /*#__PURE__*/__webpack_require__.n(Button);

// EXTERNAL MODULE: ./node_modules/uxi/Alert/index.js
var Alert = __webpack_require__(24);
var Alert_default = /*#__PURE__*/__webpack_require__.n(Alert);

// EXTERNAL MODULE: ./node_modules/uxi/Icons/index.js
var Icons = __webpack_require__(9);

// EXTERNAL MODULE: ./node_modules/uxi/Table/index.js
var Table = __webpack_require__(30);

// CONCATENATED MODULE: ./core/modules/GDPR/components/composites/GdprTableCells/GdprAuthorTableCell.js



var GdprAuthorTableCell_GdprAuthorTableCell = function GdprAuthorTableCell(_ref) {
  var Author = _ref.sar.Author;
  return react_default.a.createElement("div", null, Author.UserName || '–');
};

GdprAuthorTableCell_GdprAuthorTableCell.displayName = 'GdprAuthorTableCell';
GdprAuthorTableCell_GdprAuthorTableCell.propTypes = {
  sar: prop_types_default.a.object
};
GdprAuthorTableCell_GdprAuthorTableCell.defaultProps = {
  sar: {}
};
/* harmony default export */ var GdprTableCells_GdprAuthorTableCell = (GdprAuthorTableCell_GdprAuthorTableCell);
// EXTERNAL MODULE: ./node_modules/react-router-dom/es/Link.js
var Link = __webpack_require__(554);

// CONCATENATED MODULE: ./core/modules/GDPR/components/composites/GdprTableCells/GdprColaboratorsTableCell.js



var GdprColaboratorsTableCell_GdprColaboratorsTableCell = function GdprColaboratorsTableCell() {
  return react_default.a.createElement("div", null, react_default.a.createElement(Link["a" /* default */], {
    to: "/"
  }, "Martin Hyldal"), ",\xA0", react_default.a.createElement(Link["a" /* default */], {
    to: "/"
  }, "Oscar Junker"));
};

/* harmony default export */ var GdprTableCells_GdprColaboratorsTableCell = (GdprColaboratorsTableCell_GdprColaboratorsTableCell);
// EXTERNAL MODULE: ./node_modules/moment/moment.js
var moment = __webpack_require__(10);
var moment_default = /*#__PURE__*/__webpack_require__.n(moment);

// CONCATENATED MODULE: ./core/modules/GDPR/components/composites/GdprTableCells/GdprCreatedDateTableCell.js




var GdprCreatedDateTableCell_GdprCreatedDateTableCell = function GdprCreatedDateTableCell(_ref) {
  var CreatedDate = _ref.sar.CreatedDate;
  return react_default.a.createElement("span", {
    style: {
      fontSize: '12px'
    }
  }, "Created ", moment_default()(CreatedDate).fromNow());
};

GdprCreatedDateTableCell_GdprCreatedDateTableCell.displayName = 'GdprCreatedDateTableCell';
GdprCreatedDateTableCell_GdprCreatedDateTableCell.propTypes = {
  sar: prop_types_default.a.object
};
GdprCreatedDateTableCell_GdprCreatedDateTableCell.defaultProps = {
  sar: {}
};
/* harmony default export */ var GdprTableCells_GdprCreatedDateTableCell = (GdprCreatedDateTableCell_GdprCreatedDateTableCell);
// CONCATENATED MODULE: ./core/modules/GDPR/components/composites/GdprTableCells/GdprModifiedDateTableCell.js




var GdprModifiedDateTableCell_GdprModifiedDateTableCell = function GdprModifiedDateTableCell(_ref) {
  var ModifiedDate = _ref.sar.ModifiedDate;
  return react_default.a.createElement("span", {
    style: {
      fontSize: '12px'
    }
  }, "Modified ", moment_default()(ModifiedDate).fromNow());
};

GdprModifiedDateTableCell_GdprModifiedDateTableCell.displayName = 'GdprModifiedDateTableCell';
GdprModifiedDateTableCell_GdprModifiedDateTableCell.propTypes = {
  sar: prop_types_default.a.object
};
GdprModifiedDateTableCell_GdprModifiedDateTableCell.defaultProps = {
  sar: {}
};
/* harmony default export */ var GdprTableCells_GdprModifiedDateTableCell = (GdprModifiedDateTableCell_GdprModifiedDateTableCell);
// CONCATENATED MODULE: ./core/modules/GDPR/components/composites/GdprTableCells/GdprRelatedEntityCell.js




var GdprRelatedEntityCell_GdprRelatedEntityCell = function GdprRelatedEntityCell(_ref) {
  var EntityId = _ref.sar.EntityId;
  return react_default.a.createElement("div", null, EntityId === '00000000-0000-0000-0000-000000000000' ? react_default.a.createElement(index_es["FormattedMessage"], {
    id: "module-gdpr-unknown"
  }) : EntityId);
};

GdprRelatedEntityCell_GdprRelatedEntityCell.displayName = 'GdprRelatedEntityCell';
GdprRelatedEntityCell_GdprRelatedEntityCell.propTypes = {
  sar: prop_types_default.a.object
};
GdprRelatedEntityCell_GdprRelatedEntityCell.defaultProps = {
  sar: {}
};
/* harmony default export */ var GdprTableCells_GdprRelatedEntityCell = (GdprRelatedEntityCell_GdprRelatedEntityCell);
// CONCATENATED MODULE: ./core/modules/GDPR/functions.js
/* eslint-disable import/prefer-default-export */
var getSARStateURL = function getSARStateURL(sar) {
  switch (sar.State) {
    case 1:
      return "/gdpr/edit/findEntity/".concat(sar.Id);

    case 2:
      return "/gdpr/edit/validate/".concat(sar.Id);

    case 3:
      return "/gdpr/edit/sendReport/".concat(sar.Id);

    case 4:
      return "/gdpr/edit/configureData/".concat(sar.Id);

    case 5:
      return "/gdpr/edit/overview/".concat(sar.Id);

    case 6:
      return "/gdpr/edit/overview/".concat(sar.Id);

    default:
      return '/gdpr/list';
  }
};
// CONCATENATED MODULE: ./core/modules/GDPR/components/composites/GdprTableCells/GdprUniqueIdentifierTableCell.js






var GdprUniqueIdentifierTableCell_GdprUniqueIdentifierTableCell = function GdprUniqueIdentifierTableCell(_ref) {
  var Identifiers = _ref.sar.Identifiers,
      sar = _ref.sar;
  return react_default.a.createElement("div", null, react_default.a.createElement(Link["a" /* default */], {
    to: "".concat(getSARStateURL(sar))
  }, Object.keys(Identifiers).map(function (IdentifierKey) {
    return Identifiers[IdentifierKey];
  }).join(', ') || react_default.a.createElement(index_es["FormattedMessage"], {
    id: "module-gdpr-uniqueIdentifiers"
  })));
};

GdprUniqueIdentifierTableCell_GdprUniqueIdentifierTableCell.displayName = 'GdprUniqueIdentifierTableCell';
GdprUniqueIdentifierTableCell_GdprUniqueIdentifierTableCell.propTypes = {
  sar: prop_types_default.a.object
};
GdprUniqueIdentifierTableCell_GdprUniqueIdentifierTableCell.defaultProps = {
  sar: {}
};
/* harmony default export */ var GdprTableCells_GdprUniqueIdentifierTableCell = (GdprUniqueIdentifierTableCell_GdprUniqueIdentifierTableCell);
// EXTERNAL MODULE: ./core/modules/GDPR/components/composites/GdprTableCells/GdprStatusTableCell.js
var GdprStatusTableCell = __webpack_require__(1876);

// EXTERNAL MODULE: ./core/modules/GDPR/components/composites/GdprTableCells/GdprTimeLeftTableCell.js
var GdprTimeLeftTableCell = __webpack_require__(572);

// CONCATENATED MODULE: ./core/modules/GDPR/components/composites/GdprTableCells/index.js








// EXTERNAL MODULE: ./core/modules/core/components/Hocs/ListWithPaging.js
var ListWithPaging = __webpack_require__(557);

// CONCATENATED MODULE: ./core/modules/GDPR/components/composites/lists/GdprSARList.js







var GdprSARList_GdprSarList = function GdprSarList(_ref) {
  var _ref$items = _ref.items,
      items = _ref$items === void 0 ? [] : _ref$items,
      onChange = _ref.onChange,
      configuration = _ref.configuration;
  return react_default.a.createElement("div", null, react_default.a.createElement(Table["Table"], {
    multiSelectable: true,
    selectable: true,
    onChange: onChange
  }, react_default.a.createElement(Table["TableHeader"], null, react_default.a.createElement(Table["TableRow"], null, react_default.a.createElement(Table["TableHeaderColumn"], null, react_default.a.createElement("div", {
    style: {
      marginLeft: '-24px'
    }
  }, react_default.a.createElement(index_es["FormattedMessage"], {
    id: "module-gdpr-identifiersLabel"
  }))), react_default.a.createElement(Table["TableHeaderColumn"], null, react_default.a.createElement("div", {
    style: {
      marginLeft: '-12px'
    }
  }, react_default.a.createElement(index_es["FormattedMessage"], {
    id: "module-gdpr-ETA"
  }))), react_default.a.createElement(Table["TableHeaderColumn"], null, react_default.a.createElement(index_es["FormattedMessage"], {
    id: "module-gdpr-author"
  })), react_default.a.createElement(Table["TableHeaderColumn"], {
    style: {
      width: '175px'
    }
  }, "Time Status"), react_default.a.createElement(Table["TableHeaderColumn"], {
    style: {
      width: '200px'
    }
  }, react_default.a.createElement(index_es["FormattedMessage"], {
    id: "module-gdpr-status"
  })))), react_default.a.createElement(Table["TableBody"], null, (items || []).filter(function (x) {
    return !x.isDeleted;
  }).map(function (item) {
    return react_default.a.createElement(Table["TableRow"], {
      value: item.Id
    }, react_default.a.createElement(Table["TableRowColumn"], null, react_default.a.createElement("div", {
      style: {
        marginLeft: '-24px'
      }
    }, react_default.a.createElement(GdprTableCells_GdprUniqueIdentifierTableCell, {
      sar: item
    }))), react_default.a.createElement(Table["TableRowColumn"], null, react_default.a.createElement("div", {
      style: {
        marginLeft: '-12px'
      }
    }, react_default.a.createElement(GdprTimeLeftTableCell["a" /* default */], {
      style: {
        paddingLeft: '2px'
      },
      sar: item,
      configuration: configuration
    }))), react_default.a.createElement(Table["TableRowColumn"], null, react_default.a.createElement(GdprTableCells_GdprAuthorTableCell, {
      sar: item
    })), react_default.a.createElement(Table["TableRowColumn"], null, react_default.a.createElement(GdprTableCells_GdprCreatedDateTableCell, {
      sar: item
    }), react_default.a.createElement("br", null), react_default.a.createElement(GdprTableCells_GdprModifiedDateTableCell, {
      sar: item
    })), react_default.a.createElement(Table["TableRowColumn"], null, react_default.a.createElement(GdprStatusTableCell["a" /* default */], {
      sar: item
    })));
  }))), (!items || items.length === 0) && react_default.a.createElement("div", {
    style: {
      textAlign: 'center',
      padding: '15px'
    }
  }, "No Subject Access Requests available."));
};

GdprSARList_GdprSarList.displayName = 'GdprSarList';
GdprSARList_GdprSarList.propTypes = {
  items: prop_types_default.a.array,
  onChange: prop_types_default.a.func,
  configuration: prop_types_default.a.object
};
GdprSARList_GdprSarList.defaultProps = {
  items: [],
  onChange: function onChange() {},
  configuration: {}
};
/* harmony default export */ var GdprSARList = (Object(ListWithPaging["a" /* default */])(GdprSARList_GdprSarList, {
  message: 'Load More S.A.R'
}));
// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/toConsumableArray.js
var toConsumableArray = __webpack_require__(17);
var toConsumableArray_default = /*#__PURE__*/__webpack_require__.n(toConsumableArray);

// CONCATENATED MODULE: ./core/modules/GDPR/components/composites/lists/GdprSARListGhost.js







var GdprSARListGhost_GdprSARListGhost = function GdprSARListGhost(_ref) {
  var row = _ref.row,
      col = _ref.col;
  return react_default.a.createElement("div", null, react_default.a.createElement(Table["Table"], {
    multiSelectable: true,
    selectable: true,
    onChange: function onChange() {}
  }, react_default.a.createElement(Table["TableHeader"], null, react_default.a.createElement(Table["TableRow"], null, toConsumableArray_default()(new Array(col)).map(function (_, i) {
    return react_default.a.createElement(Table["TableHeaderColumn"], {
      key: i,
      style: {
        textOverflow: 'clip'
      }
    }, react_default.a.createElement(Placeholder["d" /* TextPlaceholder */], {
      width: "80%",
      color: 'rgb(180, 180, 180)'
    }));
  }))), react_default.a.createElement(Table["TableBody"], null, toConsumableArray_default()(new Array(row)).map(function (_, i) {
    return react_default.a.createElement(Table["TableRow"], {
      key: i
    }, toConsumableArray_default()(new Array(col)).map(function (x, j) {
      var content = null;

      if (j === 0) {
        content = react_default.a.createElement(Placeholder["d" /* TextPlaceholder */], {
          width: "80%",
          color: "#15a9a9"
        });
      } else if (j === 1) {
        content = react_default.a.createElement(Layout["Flex"], null, react_default.a.createElement(Placeholder["c" /* StatusBadgePlaceholder */], {
          key: "StatusBadge"
        }), react_default.a.createElement(Placeholder["d" /* TextPlaceholder */], {
          key: "TextPlaceholderkey",
          width: "80%"
        }));
      } else {
        content = react_default.a.createElement(Placeholder["d" /* TextPlaceholder */], {
          width: "80%"
        });
      }

      return react_default.a.createElement(Table["TableRowColumn"], {
        key: j,
        style: {
          textOverflow: 'clip'
        }
      }, content);
    }));
  }))));
};

GdprSARListGhost_GdprSARListGhost.displayName = 'GdprSARListGhost';
GdprSARListGhost_GdprSARListGhost.propTypes = {
  row: prop_types_default.a.number,
  col: prop_types_default.a.number
};
GdprSARListGhost_GdprSARListGhost.defaultProps = {
  row: 8,
  col: 4
};
/* harmony default export */ var lists_GdprSARListGhost = (GdprSARListGhost_GdprSARListGhost);
// CONCATENATED MODULE: ./core/modules/GDPR/components/composites/lists/GdprSARListWithFilters.js








// decorate GdprSarList with filtering options










var GdprSARListWithFilters_GdprSARListWithFilters =
/*#__PURE__*/
function (_Component) {
  inherits_default()(GdprSARListWithFilters, _Component);

  function GdprSARListWithFilters(props) {
    var _this;

    classCallCheck_default()(this, GdprSARListWithFilters);

    _this = possibleConstructorReturn_default()(this, getPrototypeOf_default()(GdprSARListWithFilters).call(this, props));
    _this.handleDeleteSAR = _this.handleDeleteSAR.bind(assertThisInitialized_default()(assertThisInitialized_default()(_this)));
    _this.handleArchiveSAR = _this.handleArchiveSAR.bind(assertThisInitialized_default()(assertThisInitialized_default()(_this)));
    _this.handleSelectionChange = _this.handleSelectionChange.bind(assertThisInitialized_default()(assertThisInitialized_default()(_this)));
    _this.state = {
      selected: null
    };
    return _this;
  }

  createClass_default()(GdprSARListWithFilters, [{
    key: "onEsaclateHandler",
    value: function onEsaclateHandler() {
      var onEscalate = this.props.onEscalate;
      var selected = this.state.selected;
      if (onEscalate && selected && selected.length) onEscalate(selected);
    }
  }, {
    key: "handleArchiveSAR",
    value: function handleArchiveSAR() {
      var onShouldArchiveSAR = this.props.onShouldArchiveSAR;
      var selected = this.state.selected; // TODO: add action to delete multiple SAR at one (Promise.all)

      if (onShouldArchiveSAR && selected && selected.length) onShouldArchiveSAR(selected);
    }
  }, {
    key: "handleDeleteSAR",
    value: function handleDeleteSAR() {
      var onShouldDeleteSAR = this.props.onShouldDeleteSAR;
      var selected = this.state.selected; // TODO: add action to delete multiple SAR at one (Promise.all)

      if (onShouldDeleteSAR && selected && selected.length) onShouldDeleteSAR(selected);
    }
  }, {
    key: "handleSelectionChange",
    value: function handleSelectionChange(ev, idxs, selectedValues) {
      var SARList = this.props.SARList;
      var canEscalateAll = false;

      if (selectedValues && selectedValues.length >= 0) {
        var theSARs = SARList.filter(function (sar) {
          return selectedValues.includes(sar.Id);
        });
        var cannotEscalateAll = theSARs.some(function (sar) {
          return sar.State <= 1;
        });
        canEscalateAll = !cannotEscalateAll;
      }

      this.setState({
        selected: selectedValues,
        canEscalateAll: canEscalateAll
      });
    }
  }, {
    key: "render",
    value: function render() {
      var handleDeleteSAR = this.handleDeleteSAR,
          handleArchiveSAR = this.handleArchiveSAR,
          _this$state = this.state,
          selected = _this$state.selected,
          canEscalateAll = _this$state.canEscalateAll,
          _this$props = this.props,
          importSarRequest = _this$props.importSarRequest,
          onShowNewSarDialog = _this$props.onShowNewSarDialog,
          filterOptions = _this$props.filterOptions,
          SARList = _this$props.SARList,
          configuration = _this$props.configuration,
          isInvalidDeleteSar = _this$props.isInvalidDeleteSar,
          _onLoadMore = _this$props.onLoadMore,
          isFetchingMore = _this$props.isFetchingMore,
          isFetchingSARList = _this$props.isFetching;
      var hasDeleteError = Object.keys(isInvalidDeleteSar).reduce(function (accu, x) {
        return isInvalidDeleteSar[x] ? true : accu;
      }, false);
      var errorContent = hasDeleteError ? react_default.a.createElement(Alert_default.a, {
        type: "danger"
      }, react_default.a.createElement(index_es["FormattedHTMLMessage"], {
        id: "module-gdpr-html-error"
      })) : null;
      return react_default.a.createElement("div", null, react_default.a.createElement("div", {
        style: {
          padding: '0 15px 15px 15px'
        }
      }, errorContent, react_default.a.createElement(rc_tooltip_es["default"], extends_default()({}, selected && selected.length ? {} : {
        visible: false
      }, {
        trigger: ['hover'],
        placement: 'top',
        overlay: react_default.a.createElement(index_es["FormattedMessage"], {
          id: "module-gdpr-deleteTooltipHelp"
        })
      }), react_default.a.createElement("span", null, react_default.a.createElement(Button_default.a, {
        type: "danger",
        disabled: !(selected && selected.length),
        onClick: handleDeleteSAR,
        icon: react_default.a.createElement(Icons["Delete"], null)
      }))), react_default.a.createElement(rc_tooltip_es["default"], extends_default()({}, selected && selected.length ? {} : {
        visible: false
      }, {
        trigger: ['hover'],
        placement: 'top',
        overlay: react_default.a.createElement(index_es["FormattedMessage"], {
          id: "module-gdpr-archiveTooltipHelp"
        })
      }), react_default.a.createElement("span", null, react_default.a.createElement(Button_default.a, {
        style: {
          marginLeft: '15px'
        },
        disabled: !(selected && selected.length),
        onClick: handleArchiveSAR,
        icon: react_default.a.createElement(Icons["Archive"], null)
      }))), react_default.a.createElement(Button_default.a, {
        style: {
          marginLeft: '15px'
        },
        disabled: !(selected && selected.length && canEscalateAll),
        onClick: this.onEsaclateHandler.bind(this),
        message: react_default.a.createElement(index_es["FormattedMessage"], {
          id: "module-gdpr-escalate"
        })
      }), react_default.a.createElement(Button_default.a, {
        style: {
          marginLeft: '15px'
        },
        disabled: !(selected && selected.length),
        onClick: this.onEsaclateHandler.bind(this),
        message: react_default.a.createElement(index_es["FormattedMessage"], {
          id: "module-gdpr-addCollaborators"
        })
      }), react_default.a.createElement(Button_default.a, {
        style: {
          marginLeft: '15px'
        },
        message: react_default.a.createElement(index_es["FormattedMessage"], {
          id: "module-consent-NewSubjectAccessRequest"
        }),
        className: "__test_createNewSAR_btn",
        type: "primary",
        onClick: onShowNewSarDialog
      }), react_default.a.createElement(Button_default.a, {
        style: {
          marginLeft: '15px'
        },
        message: react_default.a.createElement(index_es["FormattedMessage"], {
          id: "module-consent-ImportSubjectAccessRequest"
        }),
        className: "__test_importNewSAR_btn",
        type: "primary",
        onClick: importSarRequest
      })), isFetchingSARList ? react_default.a.createElement(lists_GdprSARListGhost, {
        col: 6
      }) : react_default.a.createElement(GdprSARList, {
        configuration: configuration,
        filterOptions: filterOptions,
        items: SARList,
        pageNumber: filterOptions ? filterOptions.page : 0,
        isFetchingMore: isFetchingMore,
        onLoadMore: function onLoadMore(pageNumber) {
          _onLoadMore(objectSpread_default()({}, filterOptions, {
            page: pageNumber
          }));
        },
        onChange: this.handleSelectionChange
      }));
    }
  }]);

  return GdprSARListWithFilters;
}(react["Component"]);

GdprSARListWithFilters_GdprSARListWithFilters.displayName = 'GdprSARListWithFilters';
GdprSARListWithFilters_GdprSARListWithFilters.propTypes = {
  filterOptions: prop_types_default.a.object,
  SARList: prop_types_default.a.array,
  configuration: prop_types_default.a.object,
  isInvalidDeleteSar: prop_types_default.a.object,
  onShouldDeleteSAR: prop_types_default.a.func,
  onShouldArchiveSAR: prop_types_default.a.func,
  onShowNewSarDialog: prop_types_default.a.func,
  importSarRequest: prop_types_default.a.func,
  onEscalate: prop_types_default.a.func,
  onLoadMore: prop_types_default.a.func,
  isFetchingMore: prop_types_default.a.bool
};
GdprSARListWithFilters_GdprSARListWithFilters.defaultProps = {
  filterOptions: {},
  SARList: [],
  configuration: {},
  isInvalidDeleteSar: {},
  onShouldDeleteSAR: function onShouldDeleteSAR() {},
  onShouldArchiveSAR: function onShouldArchiveSAR() {},
  onShowNewSarDialog: function onShowNewSarDialog() {},
  importSarRequest: function importSarRequest() {},
  onEscalate: function onEscalate() {},
  onLoadMore: function onLoadMore() {},
  isFetchingMore: false
};
/* harmony default export */ var lists_GdprSARListWithFilters = (GdprSARListWithFilters_GdprSARListWithFilters);
// CONCATENATED MODULE: ./core/modules/GDPR/components/containers/lists/GdprSarListWithFiltersContainer.js

// import composite (GsprSArListWtithfilters)
// import React from 'react';





var GdprSarListWithFiltersEnhanced = Object(Recompose["b" /* compose */])(Object(Recompose["c" /* lifecycle */])({
  componentDidMount: function componentDidMount() {
    var _this$props = this.props,
        fetchSarList = _this$props.fetchSarList,
        filterOptions = _this$props.filterOptions;
    fetchSarList(filterOptions);
  },
  componentWillUnmount: function componentWillUnmount() {
    var resetFilters = this.props.resetFilters;
    resetFilters();
  }
}) // branch(
//   ({ isFetching, SARList, SARListError }) => (
//     isFetching || (!SARListError && !SARList)
//   ),
//   renderComponent(Loader)
// ),
// we probably need a branch on SARListError to disaply error msg if sar can't be fetched -df
)(lists_GdprSARListWithFilters);

var stateProps = function stateProps(_ref) {
  var GDPR = _ref.GDPR;
  var SARList = GDPR.SARList,
      isFetching = GDPR.isFetching,
      filterOptions = GDPR.filterOptions,
      isInvalidDeleteSar = GDPR.isInvalidDeleteSar,
      isDeletingSar = GDPR.isDeletingSar,
      configuration = GDPR.configuration,
      isFetchingMore = GDPR.isFetchingMore;
  return {
    SARList: SARList,
    isFetching: isFetching,
    filterOptions: filterOptions,
    isInvalidDeleteSar: isInvalidDeleteSar,
    isDeletingSar: isDeletingSar,
    configuration: configuration,
    isFetchingMore: isFetchingMore,
    pageNumber: 0
  };
};

var GdprSarListWithFiltersContainer_actionProps = function actionProps(dispatch) {
  return {
    resetFilters: function resetFilters() {
      dispatch(Object(actions["I" /* resetSARListFilters */])());
    },
    onChangeFilter: function onChangeFilter(value) {
      dispatch(Object(actions["Lb" /* updateFilter */])(objectSpread_default()({}, value, {
        page: 0
      })));
    },
    fetchSarList: function fetchSarList(filterOptions) {
      dispatch(Object(actions["gb" /* shouldFetchSAR */])(filterOptions));
    },
    onShouldArchiveSAR: function onShouldArchiveSAR(sarsIds) {
      dispatch(Object(actions["O" /* shouldArchiveSar */])(sarsIds));
    },
    onShouldDeleteSAR: function onShouldDeleteSAR(sarsIds) {
      dispatch(Object(actions["Y" /* shouldDeleteSarAction */])(sarsIds));
    },
    onEscalate: function onEscalate(sarIds) {
      dispatch(Object(actions["Ab" /* shouldShowEscalateDialog */])(sarIds));
    },
    onLoadMore: function onLoadMore(filterOptionFromComponent) {
      dispatch(Object(actions["ob" /* shouldLoadMoreSAR */])(filterOptionFromComponent));
    },
    onShowNewSarDialog: function onShowNewSarDialog() {
      dispatch(Object(actions["Hb" /* showNewSarDialog */])());
    },
    onHideNewSarDialog: function onHideNewSarDialog() {
      dispatch(Object(actions["v" /* hideNewSarDialog */])());
    },
    importSarRequest: function importSarRequest() {
      dispatch(Object(lib["push"])('/gdpr/import'));
    }
  };
};

/* harmony default export */ var GdprSarListWithFiltersContainer = (Object(es["connect"])(stateProps, GdprSarListWithFiltersContainer_actionProps)(GdprSarListWithFiltersEnhanced));
// EXTERNAL MODULE: ./core/modules/GDPR/components/containers/Dialogs/GdprEscalate.js
var GdprEscalate = __webpack_require__(848);

// CONCATENATED MODULE: ./core/modules/GDPR/components/containers/GdprSarManagementContainer.js











var GdprSarManagementContainerStyle = {
  pageWrapper: {
    padding: '30px 15px'
  },
  content: {
    padding: '15px'
  }
};

var GdprSarManagementContainer_GdprSarManagement = function GdprSarManagement(_ref) {
  var filterOptions = _ref.filterOptions,
      onChangeFilter = _ref.onChangeFilter,
      onCloseEscalte = _ref.onCloseEscalte,
      showEscalateDialog = _ref.showEscalateDialog,
      escalateDialog = _ref.escalateDialog,
      isFetchingSARList = _ref.isFetchingSARList;
  var content = react_default.a.createElement(Page["PageWithMenu"], {
    style: GdprSarManagementContainerStyle.pageWrapper,
    menu: isFetchingSARList ? react_default.a.createElement(composites_GdprSarManagementMenuGhost, null) : react_default.a.createElement(composites_GdprSarManagementMenu, {
      filterOptions: filterOptions,
      onMenuChange: onChangeFilter
    })
  }, react_default.a.createElement("div", null, react_default.a.createElement(GdprEscalate["a" /* default */], {
    onClose: onCloseEscalte,
    sarIds: escalateDialog,
    show: showEscalateDialog
  }), react_default.a.createElement(GdprSarListWithFiltersContainer, null)));
  return react_default.a.createElement("div", {
    style: GdprSarManagementContainerStyle.content
  }, react_default.a.createElement(Widget["Widget"], {
    style: {
      background: '#fff'
    }
  }, content));
};

GdprSarManagementContainer_GdprSarManagement.displayName = 'GdprSarManagement';
GdprSarManagementContainer_GdprSarManagement.propTypes = {
  filterOptions: prop_types_default.a.object,
  onChangeFilter: prop_types_default.a.func,
  onCloseEscalte: prop_types_default.a.func,
  showEscalateDialog: prop_types_default.a.bool,
  escalateDialog: prop_types_default.a.any
};
GdprSarManagementContainer_GdprSarManagement.defaultProps = {
  filterOptions: {},
  onChangeFilter: function onChangeFilter() {},
  onCloseEscalte: function onCloseEscalte() {},
  showEscalateDialog: false,
  escalateDialog: null
};
var GdprSarManagementContainerEnhanced = Object(Recompose["b" /* compose */])(Object(Recompose["c" /* lifecycle */])({
  componentDidMount: function componentDidMount() {
    var onFetchConfig = this.props.onFetchConfig;
    onFetchConfig();
  }
}))(GdprSarManagementContainer_GdprSarManagement);

var mapToStateProps = function mapToStateProps(_ref2) {
  var GDPR = _ref2.GDPR;
  return {
    SARList: GDPR.SARList,
    isFetchingSARList: GDPR.isFetching || !GDPR.SARList,
    filterOptions: GDPR.filterOptions,
    showEscalateDialog: GDPR.showEscalateDialog,
    escalateDialog: GDPR.escalateDialog
  };
};

var GdprSarManagementContainer_mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    onChangeFilter: function onChangeFilter(value) {
      dispatch(Object(actions["Lb" /* updateFilter */])(value));
    },
    onShouldDeleteSAR: function onShouldDeleteSAR(sarId) {
      dispatch(Object(actions["Y" /* shouldDeleteSarAction */])(sarId));
    },
    onCloseEscalte: function onCloseEscalte() {
      dispatch(Object(actions["Gb" /* shouldhideEscalateDialog */])());
    },
    onFetchConfig: function onFetchConfig() {
      return dispatch(Object(actions["cb" /* shouldFetchGDPRConfig */])());
    }
  };
};

/* harmony default export */ var GdprSarManagementContainer = (Object(es["connect"])(mapToStateProps, GdprSarManagementContainer_mapDispatchToProps)(GdprSarManagementContainerEnhanced));
// CONCATENATED MODULE: ./core/modules/GDPR/components/pages/GdprSarManagementPage.js



var GdprSarManagementPage_GdprSarManagementPage = function GdprSarManagementPage() {
  return react_default.a.createElement(GdprSarManagementContainer, null);
};

/* harmony default export */ var pages_GdprSarManagementPage = __webpack_exports__["default"] = (GdprSarManagementPage_GdprSarManagementPage);

/***/ })

}]);