(window["webpackJsonp"] = window["webpackJsonp"] || []).push([[31],{

/***/ 2323:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: ./node_modules/react/index.js
var react = __webpack_require__(0);
var react_default = /*#__PURE__*/__webpack_require__.n(react);

// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/objectSpread.js
var objectSpread = __webpack_require__(2);
var objectSpread_default = /*#__PURE__*/__webpack_require__.n(objectSpread);

// EXTERNAL MODULE: ./node_modules/prop-types/index.js
var prop_types = __webpack_require__(1);
var prop_types_default = /*#__PURE__*/__webpack_require__.n(prop_types);

// EXTERNAL MODULE: ./node_modules/react-redux/es/index.js + 18 modules
var es = __webpack_require__(8);

// EXTERNAL MODULE: ./node_modules/uxi/Widget/index.js
var Widget = __webpack_require__(40);

// EXTERNAL MODULE: ./node_modules/react-intl/lib/index.es.js
var index_es = __webpack_require__(4);

// EXTERNAL MODULE: ./node_modules/uxi/Button/index.js
var Button = __webpack_require__(18);
var Button_default = /*#__PURE__*/__webpack_require__.n(Button);

// CONCATENATED MODULE: ./core/modules/organization/components/composites/SquareColorPreview.js


var SquareColorPreview_SquareColorPreview = function SquareColorPreview(_ref) {
  var color = _ref.color,
      _ref$size = _ref.size,
      size = _ref$size === void 0 ? 48 : _ref$size;
  return react_default.a.createElement("div", {
    style: {
      background: color,
      width: "".concat(size, "px"),
      height: "".concat(size, "px"),
      display: 'inline-block'
    }
  });
};

/* harmony default export */ var composites_SquareColorPreview = (SquareColorPreview_SquareColorPreview);
// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/classCallCheck.js
var classCallCheck = __webpack_require__(12);
var classCallCheck_default = /*#__PURE__*/__webpack_require__.n(classCallCheck);

// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/createClass.js
var createClass = __webpack_require__(13);
var createClass_default = /*#__PURE__*/__webpack_require__.n(createClass);

// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/possibleConstructorReturn.js
var possibleConstructorReturn = __webpack_require__(14);
var possibleConstructorReturn_default = /*#__PURE__*/__webpack_require__.n(possibleConstructorReturn);

// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/getPrototypeOf.js
var getPrototypeOf = __webpack_require__(15);
var getPrototypeOf_default = /*#__PURE__*/__webpack_require__.n(getPrototypeOf);

// EXTERNAL MODULE: ./node_modules/@babel/runtime/helpers/inherits.js
var inherits = __webpack_require__(16);
var inherits_default = /*#__PURE__*/__webpack_require__.n(inherits);

// EXTERNAL MODULE: ./node_modules/react-color/lib/index.js
var lib = __webpack_require__(2110);

// CONCATENATED MODULE: ./core/modules/organization/components/composites/ColorPickerWithButton.js









var ColorPickerWithButtonStyle = {
  popover: {
    position: 'fixed',
    top: '0',
    right: '0',
    bottom: '0',
    left: '0',
    zIndex: 11
  },
  cover: {
    position: 'absolute',
    zIndex: 12
  }
};

var ColorPickerWithButton_ColorPickerWithButton =
/*#__PURE__*/
function (_Component) {
  inherits_default()(ColorPickerWithButton, _Component);

  function ColorPickerWithButton(props) {
    var _this;

    classCallCheck_default()(this, ColorPickerWithButton);

    _this = possibleConstructorReturn_default()(this, getPrototypeOf_default()(ColorPickerWithButton).call(this, props));
    _this.state = {
      isVisible: props.isVisible
    };
    return _this;
  }

  createClass_default()(ColorPickerWithButton, [{
    key: "showColorPicker",
    value: function showColorPicker() {
      this.setState({
        isVisible: true
      });
    }
  }, {
    key: "handleClose",
    value: function handleClose() {
      this.setState({
        isVisible: false
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props = this.props,
          color = _this$props.color,
          onChangeColor = _this$props.onChangeColor;
      var isVisible = this.state.isVisible;
      return react_default.a.createElement("div", null, react_default.a.createElement(Button_default.a, {
        click: this.showColorPicker.bind(this),
        message: react_default.a.createElement(index_es["FormattedMessage"], {
          id: "ColorPickerWithButton_changeColor"
        })
      }), isVisible ? react_default.a.createElement("div", null, react_default.a.createElement("div", {
        style: ColorPickerWithButtonStyle.popover,
        onClick: function onClick() {
          _this2.handleClose();
        }
      }), react_default.a.createElement("div", {
        style: ColorPickerWithButtonStyle.cover
      }, react_default.a.createElement(lib["ChromePicker"], {
        onChange: onChangeColor,
        color: color
      }))) : null);
    }
  }]);

  return ColorPickerWithButton;
}(react["Component"]);

/* harmony default export */ var composites_ColorPickerWithButton = (ColorPickerWithButton_ColorPickerWithButton);
// EXTERNAL MODULE: ./core/modules/core/components/composites/PageLoader.js
var PageLoader = __webpack_require__(38);

// CONCATENATED MODULE: ./core/modules/organization/components/composites/WhiteLabelColorsSettings.js






var WhiteLabelColorsSettingsStyle = {
  table: {
    td: {
      padding: '10px'
    }
  },
  colorTitle: {
    padding: 0,
    margin: 0
  }
};

var WhiteLabelColorsSettings_WhiteLabelColorsSettings = function WhiteLabelColorsSettings(_ref) {
  var _ref$theme = _ref.theme,
      primaryColor = _ref$theme.primaryColor,
      secondaryColor = _ref$theme.secondaryColor,
      onChangePrimaryColor = _ref.onChangePrimaryColor,
      onChangeSecondaryColor = _ref.onChangeSecondaryColor,
      isFetchingCurrentOrganization = _ref.isFetchingCurrentOrganization;
  return isFetchingCurrentOrganization ? react_default.a.createElement(PageLoader["a" /* default */], null) : react_default.a.createElement("table", null, react_default.a.createElement("tbody", null, react_default.a.createElement("tr", null, react_default.a.createElement("td", {
    style: WhiteLabelColorsSettingsStyle.table.td
  }, react_default.a.createElement(composites_SquareColorPreview, {
    color: primaryColor || '#15a9a9'
  })), react_default.a.createElement("td", {
    style: WhiteLabelColorsSettingsStyle.table.td
  }, react_default.a.createElement("h3", {
    style: WhiteLabelColorsSettingsStyle.colorTitle
  }, react_default.a.createElement(index_es["FormattedMessage"], {
    id: "WhiteLabelColorsSettings_PrimaryColor"
  })), react_default.a.createElement("p", null, react_default.a.createElement(index_es["FormattedMessage"], {
    id: "WhiteLabelColorsSettings_PrimaryColorDescription"
  }))), react_default.a.createElement("td", {
    style: WhiteLabelColorsSettingsStyle.table.td
  }, react_default.a.createElement(composites_ColorPickerWithButton, {
    color: primaryColor || '#15a9a9',
    onChangeColor: onChangePrimaryColor
  })), react_default.a.createElement("td", {
    style: WhiteLabelColorsSettingsStyle.table.td
  }, react_default.a.createElement(Button_default.a, {
    click: function click() {
      return onChangePrimaryColor({
        hex: '#15a9a9'
      });
    },
    message: react_default.a.createElement(index_es["FormattedMessage"], {
      id: "WhiteLabelColorsSettings_resetColor"
    })
  }))), react_default.a.createElement("tr", null, react_default.a.createElement("td", {
    style: WhiteLabelColorsSettingsStyle.table.td
  }, react_default.a.createElement(composites_SquareColorPreview, {
    color: secondaryColor || '#1b3c4f'
  })), react_default.a.createElement("td", {
    style: WhiteLabelColorsSettingsStyle.table.td
  }, react_default.a.createElement("h3", {
    style: WhiteLabelColorsSettingsStyle.colorTitle
  }, react_default.a.createElement(index_es["FormattedMessage"], {
    id: "WhiteLabelColorsSettings_SecondaryColor"
  })), react_default.a.createElement("p", null, react_default.a.createElement(index_es["FormattedMessage"], {
    id: "WhiteLabelColorsSettings_SecondaryColorDescription"
  }))), react_default.a.createElement("td", {
    style: WhiteLabelColorsSettingsStyle.table.td
  }, react_default.a.createElement(composites_ColorPickerWithButton, {
    color: secondaryColor || '#1b3c4f',
    onChangeColor: onChangeSecondaryColor
  })), react_default.a.createElement("td", {
    style: WhiteLabelColorsSettingsStyle.table.td
  }, react_default.a.createElement(Button_default.a, {
    click: function click() {
      return onChangeSecondaryColor({
        hex: '#1b3c4f'
      });
    },
    message: react_default.a.createElement(index_es["FormattedMessage"], {
      id: "WhiteLabelColorsSettings_resetColor"
    })
  })))));
};

WhiteLabelColorsSettings_WhiteLabelColorsSettings.displayName = 'WhiteLabelColorsSettings';
/* harmony default export */ var composites_WhiteLabelColorsSettings = (WhiteLabelColorsSettings_WhiteLabelColorsSettings);
// CONCATENATED MODULE: ./core/modules/organization/components/composites/WhiteLabelSettingsComposite.js


 // import WhiteLabelLogoSettings from './WhiteLabelLogoSettings';

var WhiteLabelSettingsCompositeStyle = {
  hr: {
    backgroundColor: '#ccc',
    height: '1px',
    border: 0
  },
  subTitle: {
    fontWeight: 'normal',
    padding: '0 15px'
  }
};

var WhiteLabelSettingsComposite_WhiteLabelSettingsComposite = function WhiteLabelSettingsComposite(_ref) {
  var onChangePrimaryColor = _ref.onChangePrimaryColor,
      onChangeSecondaryColor = _ref.onChangeSecondaryColor,
      theme = _ref.theme,
      onSave = _ref.onSave,
      isSaving = _ref.isSaving,
      isFetchingCurrentOrganization = _ref.isFetchingCurrentOrganization;
  return react_default.a.createElement("div", null, react_default.a.createElement("hr", {
    style: WhiteLabelSettingsCompositeStyle.hr
  }), react_default.a.createElement("h2", {
    style: WhiteLabelSettingsCompositeStyle.subTitle
  }, "Colors"), react_default.a.createElement(composites_WhiteLabelColorsSettings, {
    isFetchingCurrentOrganization: isFetchingCurrentOrganization,
    theme: theme,
    onChangePrimaryColor: onChangePrimaryColor,
    onChangeSecondaryColor: onChangeSecondaryColor
  }), react_default.a.createElement("div", {
    style: {
      padding: '16px'
    }
  }, react_default.a.createElement(Button_default.a, {
    loading: isSaving || isFetchingCurrentOrganization,
    type: "primary",
    message: "Save colors",
    click: onSave,
    disabled: isSaving || isFetchingCurrentOrganization
  })));
};

WhiteLabelSettingsComposite_WhiteLabelSettingsComposite.displayName = 'WhiteLabelSettingsComposite';
/* harmony default export */ var composites_WhiteLabelSettingsComposite = (WhiteLabelSettingsComposite_WhiteLabelSettingsComposite);
// EXTERNAL MODULE: ./core/modules/whiteLabel/actions.js
var actions = __webpack_require__(439);

// EXTERNAL MODULE: ./core/modules/organization/actions.js + 1 modules
var organization_actions = __webpack_require__(86);

// CONCATENATED MODULE: ./core/modules/organization/components/containers/WhiterLabelContainer.js










var WhiterLabelContainer_WhiteLabelSettingsContainer = function WhiteLabelSettingsContainer(_ref) {
  var theme = _ref.theme,
      changePrimaryColor = _ref.changePrimaryColor,
      changeSecondaryColor = _ref.changeSecondaryColor,
      currentOrganization = _ref.currentOrganization,
      isFetchingCurrentOrganization = _ref.isFetchingCurrentOrganization,
      _onSave = _ref.onSave,
      isSavingOrganization = _ref.isSavingOrganization,
      _onLogoChange = _ref.onLogoChange,
      resetLogo = _ref.resetLogo,
      _onPreviewChange = _ref.onPreviewChange,
      isInvalidUploadingLogo = _ref.isInvalidUploadingLogo,
      isUploadingLogo = _ref.isUploadingLogo,
      token = _ref.token;
  var content = react_default.a.createElement(composites_WhiteLabelSettingsComposite, {
    isFetchingCurrentOrganization: isFetchingCurrentOrganization,
    token: token,
    theme: theme,
    isInvalidUploadingLogo: isInvalidUploadingLogo,
    isUploadingLogo: isUploadingLogo,
    onChangePrimaryColor: function onChangePrimaryColor(_ref2) {
      var hex = _ref2.hex;
      changePrimaryColor(hex);
    },
    onChangeSecondaryColor: function onChangeSecondaryColor(_ref3) {
      var hex = _ref3.hex;
      changeSecondaryColor(hex);
    },
    onSave: function onSave() {
      _onSave(currentOrganization);
    },
    isSaving: isSavingOrganization,
    logoUrl: currentOrganization ? currentOrganization.Logo : null,
    onResetLogo: function onResetLogo() {
      resetLogo(currentOrganization);
    },
    onLogoChange: function onLogoChange(file) {
      _onLogoChange(file, currentOrganization);
    },
    onPreviewChange: function onPreviewChange(file) {
      _onPreviewChange(file, currentOrganization);
    }
  });
  return react_default.a.createElement("div", {
    style: {
      paddingBottom: '100px'
    }
  }, react_default.a.createElement(Widget["Widget"], {
    style: {
      background: '#fff'
    },
    isLoading: isFetchingCurrentOrganization || !currentOrganization,
    title: react_default.a.createElement(index_es["FormattedMessage"], {
      id: "WhiteLabelPageContainer_TeamSettingsTitle"
    })
  }, react_default.a.createElement("div", {
    style: {
      padding: '15px'
    }
  }, content)));
};

WhiterLabelContainer_WhiteLabelSettingsContainer.displayName = 'WhiteLabelSettingsContainer';
WhiterLabelContainer_WhiteLabelSettingsContainer.propTypes = {
  theme: prop_types_default.a.object,
  changePrimaryColor: prop_types_default.a.func,
  changeSecondaryColor: prop_types_default.a.func,
  currentOrganization: prop_types_default.a.object,
  isFetchingCurrentOrganization: prop_types_default.a.bool,
  onSave: prop_types_default.a.func,
  isSavingOrganization: prop_types_default.a.bool,
  onLogoChange: prop_types_default.a.func,
  resetLogo: prop_types_default.a.func,
  onPreviewChange: prop_types_default.a.func
};
WhiterLabelContainer_WhiteLabelSettingsContainer.defaultProps = {
  theme: {},
  changePrimaryColor: function changePrimaryColor() {},
  changeSecondaryColor: function changeSecondaryColor() {},
  currentOrganization: {},
  isFetchingCurrentOrganization: false,
  onSave: function onSave() {},
  isSavingOrganization: false,
  onLogoChange: function onLogoChange() {},
  resetLogo: function resetLogo() {},
  onPreviewChange: function onPreviewChange() {}
};

var WhiterLabelContainer_mapToState = function mapToState(_ref4) {
  var token = _ref4.core.token,
      whiteLabel = _ref4.whiteLabel,
      _ref4$org = _ref4.org,
      isFetchingOrganization = _ref4$org.isFetchingOrganization,
      organization = _ref4$org.organization,
      isSavingOrganization = _ref4$org.isSavingOrganization,
      isInvalidUploadingLogo = _ref4$org.isInvalidUploadingLogo,
      isUploadingLogo = _ref4$org.isUploadingLogo;

  var whiteLabelledThemeIfAny = objectSpread_default()({}, organization && organization.PrimaryColor ? {
    primaryColor: organization.PrimaryColor
  } : {
    primaryColor: '#15a9a9'
  }, organization && organization.PrimaryColor ? {
    secondaryColor: organization.SecondaryColor
  } : {
    secondaryColor: '#1b3c4f'
  }, organization && organization.DarkMainColor ? {
    darkMainColor: organization.DarkMainColor
  } : {
    darkMainColor: '#1c313f'
  }, whiteLabel);

  return {
    token: token,
    theme: whiteLabelledThemeIfAny,
    isFetchingCurrentOrganization: isFetchingOrganization,
    currentOrganization: objectSpread_default()({}, organization, {
      PrimaryColor: whiteLabelledThemeIfAny.primaryColor,
      SecondaryColor: whiteLabelledThemeIfAny.secondaryColor,
      DarkMainColor: whiteLabelledThemeIfAny.darkMainColor
    }),
    isSavingOrganization: isSavingOrganization,
    isInvalidUploadingLogo: isInvalidUploadingLogo,
    isUploadingLogo: isUploadingLogo
  };
};

var WhiterLabelContainer_mapToDispatch = function mapToDispatch(dispatch) {
  return {
    onSave: function onSave(org) {
      dispatch(Object(organization_actions["h" /* shouldSaveOrganization */])(org));
    },
    onPreviewChange: function onPreviewChange(file) {
      dispatch(Object(organization_actions["k" /* updateLogoForPreview */])(file));
    },
    onLogoChange: function onLogoChange(file, currentOrganization) {
      dispatch(Object(organization_actions["d" /* shouldClearLogo */])());
      dispatch(Object(organization_actions["j" /* shouldUploadLogo */])(file, currentOrganization));
    },
    changePrimaryColor: function changePrimaryColor(color) {
      dispatch(Object(organization_actions["l" /* updatePrimaryColor */])(color));
      dispatch(Object(actions["a" /* changePrimaryColor */])(color));
    },
    changeSecondaryColor: function changeSecondaryColor(color) {
      dispatch(Object(organization_actions["m" /* updateSecondaryColor */])(color));
      dispatch(Object(actions["b" /* changeSecondaryColor */])(color));
    },
    resetLogo: function resetLogo(currentOrganization) {
      dispatch(Object(organization_actions["d" /* shouldClearLogo */])());
      dispatch(Object(organization_actions["g" /* shouldResetLogo */])(currentOrganization));
    }
  };
};

/* harmony default export */ var WhiterLabelContainer = (Object(es["connect"])(WhiterLabelContainer_mapToState, WhiterLabelContainer_mapToDispatch)(WhiterLabelContainer_WhiteLabelSettingsContainer));
// CONCATENATED MODULE: ./core/modules/organization/components/pages/WhiteLabelPage.js



var WhiteLabelPage_WhiteLabelPage = function WhiteLabelPage() {
  return react_default.a.createElement(WhiterLabelContainer, null);
};

/* harmony default export */ var pages_WhiteLabelPage = __webpack_exports__["default"] = (WhiteLabelPage_WhiteLabelPage);

/***/ })

}]);