(window["webpackJsonp"] = window["webpackJsonp"] || []).push([[6],{

/***/ 1889:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";

// EXTERNAL MODULE: ./core/helpers/request.js
var request = __webpack_require__(21);

// CONCATENATED MODULE: ./core/modules/development/viewModel.js
var toVM = function toVM(projectsData) {
  return projectsData.map(function (projectData) {
    var name = projectData.name,
        id = projectData.id,
        rowCount = projectData.rowCount,
        created = projectData.created,
        modified = projectData.modified,
        _projectData$importOp = projectData.importOptionMetadata,
        importOptionMetadata = _projectData$importOp === void 0 ? [] : _projectData$importOp;
    var fileSource = importOptionMetadata && importOptionMetadata[0] && importOptionMetadata[0].fileSource || null;
    return {
      name: name,
      id: id,
      rowCount: rowCount,
      created: created,
      modified: modified,
      fileSource: fileSource // ...rest,

    };
  });
};
/* harmony default export */ var viewModel = (null);
// CONCATENATED MODULE: ./core/modules/development/data.js
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return data_getCleaningProjects; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "c", function() { return data_saveCleaningProjects; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return data_createCleanProjects; });


var data_getCleaningProjects = function getCleaningProjects() {
  return Object(request["a" /* apiRequest */])('GET', 'api/v1/clean/getprojects').then(request["e" /* getBody */]).then(function (resp) {
    return toVM(resp);
  });
};
var data_saveCleaningProjects = function saveCleaningProjects(projectId) {
  return Object(request["a" /* apiRequest */])('POST', "api/v1/clean/saveproject?projectId=".concat(projectId));
};
var data_createCleanProjects = function createCleanProjects(payload) {
  return Object(request["a" /* apiRequest */])('POST', 'api/v1/clean/createprojects', payload);
};
/* harmony default export */ var data = ({
  getCleaningProjects: data_getCleaningProjects,
  saveCleaningProjects: data_saveCleaningProjects,
  createCleanProjects: data_createCleanProjects
});

/***/ }),

/***/ 2315:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _babel_runtime_helpers_objectSpread__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(2);
/* harmony import */ var _babel_runtime_helpers_objectSpread__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_objectSpread__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _babel_runtime_helpers_classCallCheck__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(12);
/* harmony import */ var _babel_runtime_helpers_classCallCheck__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_classCallCheck__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _babel_runtime_helpers_createClass__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(13);
/* harmony import */ var _babel_runtime_helpers_createClass__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_createClass__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _babel_runtime_helpers_possibleConstructorReturn__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(14);
/* harmony import */ var _babel_runtime_helpers_possibleConstructorReturn__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_possibleConstructorReturn__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _babel_runtime_helpers_getPrototypeOf__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(15);
/* harmony import */ var _babel_runtime_helpers_getPrototypeOf__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_getPrototypeOf__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _babel_runtime_helpers_inherits__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(16);
/* harmony import */ var _babel_runtime_helpers_inherits__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_inherits__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _babel_runtime_helpers_assertThisInitialized__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(27);
/* harmony import */ var _babel_runtime_helpers_assertThisInitialized__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_assertThisInitialized__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(3);
/* harmony import */ var _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(_babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(0);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var react_redux__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(8);
/* harmony import */ var react_router__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(395);
/* harmony import */ var uxi_Layout_Flex__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(54);
/* harmony import */ var uxi_Layout_Flex__WEBPACK_IMPORTED_MODULE_11___default = /*#__PURE__*/__webpack_require__.n(uxi_Layout_Flex__WEBPACK_IMPORTED_MODULE_11__);
/* harmony import */ var uxi_Button__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(18);
/* harmony import */ var uxi_Button__WEBPACK_IMPORTED_MODULE_12___default = /*#__PURE__*/__webpack_require__.n(uxi_Button__WEBPACK_IMPORTED_MODULE_12__);
/* harmony import */ var uxi_Icons__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(9);
/* harmony import */ var uxi_Icons__WEBPACK_IMPORTED_MODULE_13___default = /*#__PURE__*/__webpack_require__.n(uxi_Icons__WEBPACK_IMPORTED_MODULE_13__);
/* harmony import */ var uxi_business_userMessage_actions__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(138);
/* harmony import */ var uxi_business_userMessage_actions__WEBPACK_IMPORTED_MODULE_14___default = /*#__PURE__*/__webpack_require__.n(uxi_business_userMessage_actions__WEBPACK_IMPORTED_MODULE_14__);
/* harmony import */ var _containers_DevPageWrapper__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(573);
/* harmony import */ var _config__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(11);
/* harmony import */ var _data__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(1889);


















var cluedInCleanUrl = _config__WEBPACK_IMPORTED_MODULE_16__[/* url */ "j"].cluedInCleanUrl;
var styles = {
  border: 0,
  margin: '-1px',
  width: '100%',
  height: 'calc(100vh - 158px)',
  transition: 'all 450ms cubic-bezier(0.23, 1, 0.32, 1) '
};

var CleaningSingleProjectPage =
/*#__PURE__*/
function (_Component) {
  _babel_runtime_helpers_inherits__WEBPACK_IMPORTED_MODULE_5___default()(CleaningSingleProjectPage, _Component);

  function CleaningSingleProjectPage(props) {
    var _this;

    _babel_runtime_helpers_classCallCheck__WEBPACK_IMPORTED_MODULE_1___default()(this, CleaningSingleProjectPage);

    _this = _babel_runtime_helpers_possibleConstructorReturn__WEBPACK_IMPORTED_MODULE_3___default()(this, _babel_runtime_helpers_getPrototypeOf__WEBPACK_IMPORTED_MODULE_4___default()(CleaningSingleProjectPage).call(this, props));

    _babel_runtime_helpers_defineProperty__WEBPACK_IMPORTED_MODULE_7___default()(_babel_runtime_helpers_assertThisInitialized__WEBPACK_IMPORTED_MODULE_6___default()(_babel_runtime_helpers_assertThisInitialized__WEBPACK_IMPORTED_MODULE_6___default()(_this)), "handleSaveRequest", function () {
      var _this$props = _this.props,
          _this$props$match = _this$props.match;
      _this$props$match = _this$props$match === void 0 ? {} : _this$props$match;
      var id = _this$props$match.params.id,
          onSaveSuccess = _this$props.onSaveSuccess,
          onSaveError = _this$props.onSaveError;
      Object(_data__WEBPACK_IMPORTED_MODULE_17__[/* saveCleaningProjects */ "c"])(id).catch(function (unexpecteError) {
        onSaveError();

        _this.setState({
          saved: false,
          isSaving: false,
          errorSaving: unexpecteError || true
        });
      }).then(function (res) {
        var nextState = {};

        if (res.status === 200) {
          nextState = {
            saved: true,
            isSaving: false,
            errorSaving: false
          };
        } else {
          nextState = {
            saved: false,
            isSaving: false,
            errorSaving: true
          };
        }

        onSaveSuccess();

        _this.setState(nextState);
      }).catch(function (unexpecteError) {
        onSaveError();

        _this.setState({
          saved: false,
          isSaving: false,
          errorSaving: unexpecteError || true
        });
      });

      _this.setState({
        isSaving: true
      });
    });

    _this.state = {
      changesHaveBeenSaved: false,
      isSaving: false,
      saved: false,
      errorSaving: false
    };
    return _this;
  }

  _babel_runtime_helpers_createClass__WEBPACK_IMPORTED_MODULE_2___default()(CleaningSingleProjectPage, [{
    key: "render",
    value: function render() {
      var _this$props$match2 = this.props.match;
      _this$props$match2 = _this$props$match2 === void 0 ? {} : _this$props$match2;
      var id = _this$props$match2.params.id;
      var _this$state = this.state,
          changesHaveBeenSaved = _this$state.changesHaveBeenSaved,
          isSaving = _this$state.isSaving;
      return react__WEBPACK_IMPORTED_MODULE_8___default.a.createElement(_containers_DevPageWrapper__WEBPACK_IMPORTED_MODULE_15__[/* default */ "a"], {
        subTitle: react__WEBPACK_IMPORTED_MODULE_8___default.a.createElement(uxi_Layout_Flex__WEBPACK_IMPORTED_MODULE_11__["Flex"], {
          style: {
            marginLeft: 'auto'
          }
        }, react__WEBPACK_IMPORTED_MODULE_8___default.a.createElement(uxi_Button__WEBPACK_IMPORTED_MODULE_12__["Button"], {
          icon: react__WEBPACK_IMPORTED_MODULE_8___default.a.createElement(uxi_Icons__WEBPACK_IMPORTED_MODULE_13__["Upload"], null),
          loading: isSaving,
          type: "primary",
          text: "Save",
          disabled: isSaving,
          onClick: this.handleSaveRequest
        }))
      }, react__WEBPACK_IMPORTED_MODULE_8___default.a.createElement("div", {
        style: {
          borderTop: '1px solid #cecece'
        }
      }, react__WEBPACK_IMPORTED_MODULE_8___default.a.createElement("iframe", {
        style: _babel_runtime_helpers_objectSpread__WEBPACK_IMPORTED_MODULE_0___default()({}, styles, isSaving ? {
          opacity: 0.4,
          pointerEvents: 'none'
        } : {
          opacity: 1,
          pointerEvents: 'all'
        }),
        src: "".concat(cluedInCleanUrl, "project?project=").concat(id)
      })), react__WEBPACK_IMPORTED_MODULE_8___default.a.createElement(react_router__WEBPACK_IMPORTED_MODULE_10__[/* default */ "a"], {
        when: !changesHaveBeenSaved,
        message: function message() {
          var location = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
          return ["you are navigating to ".concat(location.pathname), 'Do not forget to save your changes!', 'To save your changes,', 'click "Cancel" on this popup, then click the save button (upper right corner)', 'or,', "click \"OK\" to abandon all changes and navigate away to ".concat(location.pathname, " (changes will not be persisted)")].join('\n');
        }
      }));
    }
  }]);

  return CleaningSingleProjectPage;
}(react__WEBPACK_IMPORTED_MODULE_8__["Component"]);

var mapStateToProps = function mapStateToProps() {
  return {};
};

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    onSaveSuccess: function onSaveSuccess() {
      return dispatch(Object(uxi_business_userMessage_actions__WEBPACK_IMPORTED_MODULE_14__["showSuccess"])({
        message: 'Your changes have been saved on the server! It will take a bit of time to process. We will notify you once it is done.'
      }));
    },
    onSaveError: function onSaveError() {
      return dispatch(Object(uxi_business_userMessage_actions__WEBPACK_IMPORTED_MODULE_14__["showError"])({
        message: 'An error occurred while attempting to save your changes. Try again in a few seconds. If the issue persists, please contact our support (support@cluedin.com)'
      }));
    }
  };
};

/* harmony default export */ __webpack_exports__["default"] = (Object(react_redux__WEBPACK_IMPORTED_MODULE_9__["connect"])(mapStateToProps, mapDispatchToProps)(CleaningSingleProjectPage));

/***/ })

}]);